<?php
get_header(); 
$post_number = get_option('myband_catnum_posts');
?>
	<div id="content-full">
		<div id="hr">
			<div id="hr-center">
				<div id="intro">
					<div class="center-highlight">
					
						<div class="container">
							
							<?php include(TEMPLATEPATH . '/includes/breadcrumbs.php'); ?>
							
						</div> <!-- end .container -->	
					</div> <!-- end .center-highlight -->
				</div>	<!-- end #intro -->	
			</div> <!-- end #hr-center -->
		</div>
		<div class="center-highlight">
			<div class="container">
				<div id="content-area" class="clearfix">
					<div id="left-area">	
						<?php $i = 1; ?>
						<?php global $query_string; 
						//echo $paged;
						if (is_category()) query_posts($query_string . "&showposts=$post_number&paged=$paged&cat=$cat");
						else query_posts($query_string . "&showposts=$post_number&paged=$paged"); ?>
					
						<?php $blogcat = get_cat_ID(get_option('myband_blog_cat')); ?>
						<?php $currUrl=get_category_link('');?>
							<div id="music-cate" class="entry">
								
								<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
								<?php /* If this is a category archive */ if (is_category()) : ?>
								<h2  class="title"><?php single_cat_title(); ?> </h2>
								<?php /* If this is a tag archive */ elseif( is_tag() ) : ?>
								<h2  class="title">Posts Tagged <?php single_tag_title(); ?></h2>
								<?php /* If this is a daily archive */ elseif (is_day()) : ?>
								<h2 class="title">Archive for <?php the_time('F jS, Y'); ?> </h2>
								<?php /* If this is a monthly archive */ elseif (is_month()) : ?>
								<h2  class="title">Archive for <?php the_time('F, Y'); ?> </h2>
								<?php /* If this is a yearly archive */ elseif (is_year()) : ?>
								<h2  class="title">Archive for <?php the_time('Y'); ?> </h2>
								<?php /* If this is an author archive */ elseif (is_author()) : ?>
								<h2  class="title">Author Archive</h2>
								<?php /* If this is a paged archive */ elseif (isset($_GET['paged']) && !empty($_GET['paged'])) : ?>
								<h2  class="title">Blog Archives</h2> <?php endif; ?>
								
								<div class="shareButton">
									<?php add_share($currUrl,$titletext);?>
								</div>
								
								<div id="portfolio-items" class="clearfix">
								
									<?php if (have_posts()) : while (have_posts()) : the_post(); ?>					
										<?php include(TEMPLATEPATH . '/includes/music.php'); ?>
										<?php $i++; ?>
									<?php endwhile; ?>
										<div class="clear"></div>
										<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
										else { ?>
											 <?php include(TEMPLATEPATH . '/includes/navigation.php'); ?>
										<?php } ?>
										
									<?php else : ?>
										<?php include(TEMPLATEPATH . '/includes/no-results.php'); ?>
									<?php endif; wp_reset_query(); ?>
								</div> <!-- end #portfolio-items -->
								<div class="like-button">
									<?php add_like_button($currUrl);?>
								</div>
							</div> <!-- end #gallery -->
						
					</div> 
					<?php get_sidebar(); ?>
				</div>	
			</div> <!-- end .container -->
<?php get_footer(); ?>