<?php get_header(); ?>
	<div id="content-full">
		<div id="hr">
			<div id="hr-center">
				<div id="intro">
					<div class="center-highlight">
						<div class="container">
							<?php include(TEMPLATEPATH . '/includes/breadcrumbs.php'); ?>
						</div> <!-- end .container -->	
					</div> <!-- end .center-highlight -->
				</div>	<!-- end #intro -->	
			</div> <!-- end #hr-center -->
		</div>
		<div class="center-highlight">
			<div class="container">
				<div id="content-area" class="clearfix">
					<div id="left-area">	
					    <?php
					    $curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
					    ?>
							<div id="music-cate" class="entry">
								<h2  class="title">About: <?php echo $curauth->nickname; ?></h2>
								<div class="shareButton">
									<?php add_share($currUrl,$titletext);?>
								</div>
								<div id="portfolio-items" class="clearfix">
								    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
										<?php include(TEMPLATEPATH . '/includes/music.php'); ?>
										<?php $i++; ?>
								    <?php endwhile; ?>
										<div class="clear"></div>
										<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
										else { ?>
											 <?php include(TEMPLATEPATH . '/includes/navigation.php'); ?>
										<?php } ?>
									<?php else : ?>
										<?php include(TEMPLATEPATH . '/includes/no-results.php'); ?>
									<?php endif; wp_reset_query(); ?>
								</div> <!-- end #portfolio-items -->
								<div class="like-button">
									<?php add_like_button($currUrl);?>
								</div>
							</div> <!-- end #gallery -->
					</div> 
					<?php get_sidebar(); ?>
				</div>	
			</div> <!-- end .container -->		
<?php get_footer(); ?>