<?php class CalendarWidget extends WP_Widget
{
    function CalendarWidget(){
		$widget_ops = array('description' => 'Displays Calendar');
		$control_ops = array(); //'width' => 400, 'height' => 300
		parent::WP_Widget(false,$name='MyBand Calendar Widget',$widget_ops,$control_ops);
    }


    function widget($args, $instance){
		extract($args);
		$title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title']);
		
		echo $before_widget;

		if ( $title )
		echo $before_title . $title . $after_title;
?>	
<div class="clearfix">
	<?php mb_get_calendar(); ?>
</div>
<?php
		echo $after_widget;
	}

  /*Saves the settings. */
    function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = stripslashes($new_instance['title']);
		return $instance;
	}

    function form($instance){
		$instance = wp_parse_args( (array) $instance, array('title'=>'Calendar') );
		$title = htmlspecialchars($instance['title']);
		echo '<p><label for="' . $this->get_field_id('title') . '">' . 'Title:' . '</label><input class="widefat" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . $title . '" /></p>';	
	}
}

function CalendarWidgetInit() {
  register_widget('CalendarWidget');
}

add_action('widgets_init', 'CalendarWidgetInit');
?>