<?php 
/*
Template Name: Events Page
*/
?>
<?php get_header();
the_post(); ?>
	
<div id="content-full">
	<div id="hr">
		<div id="hr-center">
			<div id="intro">
				<div class="center-highlight">
					<div class="container">
						<?php include(TEMPLATEPATH . '/includes/breadcrumbs.php'); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
			
	<div class="center-highlight">
		<div class="container">
			<div id="content-area" class="clearfix">
				<div id="left-area">
					<?php if (get_option('myband_integration_single_top') <> '' && get_option('myband_integrate_singletop_enable') == 'on') echo(get_option('myband_integration_single_top')); ?>					
					<div class="entry clearfix post">
						<h1 class="title"><?php the_title(); ?></h1>
										<?php 
		$strQuery="SELECT $wpdb->posts.* , STR_TO_DATE($wpdb->postmeta.meta_value, '%d-%b-%Y') as last_date
		FROM $wpdb->posts,$wpdb->postmeta
		WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id  AND $wpdb->postmeta.meta_key = 'venue_date_value' 
		AND $wpdb->posts.post_type = 'event' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'future')  
		AND STR_TO_DATE($wpdb->postmeta.meta_value, '%d-%b-%Y') >= CURRENT_DATE() 
		ORDER BY last_date ASC";
						$pageposts = $wpdb->get_results($strQuery, OBJECT);
						if ($pageposts)
						{
						?>
						<h2 class="title event-head-title"><?php _e('Upcoming events','myband'); ?></h2>
						<div class="wrap-slider">
							<div id="slider" class="wrap-scroll easyslider" >
							
								<ul id="recent-event-list">
										<?php 
						if ($pageposts)
						{
							$i= 1;
							$strUpcomming="";
							foreach ($pageposts as $post)
							{	
								
								setup_postdata($post);
								$exp_date = get_post_meta($post->ID,'venue_date_value',true);
								$expiration_date = strtotime($exp_date);
								$strAddress="";
								if(get_post_meta($post->ID,'venue_city_value',true) !='' ) {
									$strAddress .= get_post_meta($post->ID,'venue_city_value',true);
								}
								if(get_post_meta($post->ID,'venue_state_value',true) !='' ) {
									$strAddress .= ", ".get_post_meta($post->ID,'venue_state_value',true);
								}
								if(get_post_meta($post->ID,'venue_country_value',true) !='' ) {
									$strAddress .= ", ".get_post_meta($post->ID,'venue_country_value',true);
								}
									
								if(($i==1) )
								{
									echo "<li>";
								}
								
								$list_option1 = get_option('myband_event_title_or_address');
								switch($list_option1){
									case 'venue':
										$list_option1_result = get_post_meta($post->ID,'venue_name_value',true);
									break;
									
									case 'title':
										$list_option1_result = get_the_title($post->ID);
									break;
									
									default:
										$list_option1_result = get_post_meta($post->ID,'venue_name_value',true);
									break;
								}
								if(strlen($list_option1_result) > 19){
									$list_option1_result = substr($list_option1_result,0,18)."...";
								}
								if(strlen($strAddress) > 28){
									$strAddress = substr($strAddress,0,28)."...";
								}
								
								echo '<div class="event-item">
											<div class="event-date">'.date(get_option('myband_date_format'), $expiration_date).'</div>
											<div class="event-name">'.$list_option1_result.'</div>
											<div class="event-address">'.$strAddress.'</div>
											<div class="event-share-list">'.get_add_share(get_permalink($post->ID),get_the_title($post->ID)).'</div>
											<div class="event-more"><a href="'.get_permalink($post->ID).'">Learn more</a></div>
									</div>';
										if(($i%8==0) &&($i>1)) {
											echo "</li><li>";
										}	
									$i++;
							}
							
							}
							if(count($pageposts) %8 !=0) {
								echo "</li>";
							}
								?>
								</ul>
							</div>
						</div>
						<?php } 
		$strQuery="SELECT $wpdb->posts.* , STR_TO_DATE($wpdb->postmeta.meta_value, '%d-%b-%Y') as last_date
		FROM $wpdb->posts,$wpdb->postmeta
		WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id  AND $wpdb->postmeta.meta_key = 'venue_date_value' 
		AND $wpdb->posts.post_type = 'event' AND ($wpdb->posts.post_status = 'publish' OR $wpdb->posts.post_status = 'future')  
		AND STR_TO_DATE($wpdb->postmeta.meta_value, '%d-%b-%Y') < CURRENT_DATE()
		ORDER BY last_date DESC";
						$pageposts = $wpdb->get_results($strQuery, OBJECT);
						if ($pageposts)
						{
						?>			
						<h2 class="title event-head-title"><?php _e('Recent events','myband'); ?></h2>
						<div class="wrap-slider">
							<div id="slider2" class="wrap-scroll easyslider" >
								<ul id="recent-event-list">		
											<?php 
						if ($pageposts)
						{
							$i= 1;
							$strUpcomming="";
							foreach ($pageposts as $post)
							{	
								setup_postdata($post);
								$exp_date = get_post_meta($post->ID,'venue_date_value',true);
								$expiration_date = strtotime($exp_date);
								$strAddress="";
								if(get_post_meta($post->ID,'venue_city_value',true) !='' ) {
									$strAddress .= get_post_meta($post->ID,'venue_city_value',true);
								}
								if(get_post_meta($post->ID,'venue_state_value',true) !='' ) {
									$strAddress .= ", ".get_post_meta($post->ID,'venue_state_value',true);
								}
								if(get_post_meta($post->ID,'venue_country_value',true) !='' ) {
									$strAddress .= ", ".get_post_meta($post->ID,'venue_country_value',true);
								}
									
								if(($i==1) )
								{
									echo "<li>";
								}
								
								$list_option1 = get_option('myband_event_title_or_address');
								switch($list_option1){
									case 'venue':
										$list_option1_result = get_post_meta($post->ID,'venue_name_value',true);
									break;
									
									case 'title':
										$list_option1_result = get_the_title($post->ID);
									break;
									
									default:
										$list_option1_result = get_post_meta($post->ID,'venue_name_value',true);
									break;
								}
								if(strlen($list_option1_result) > 19){
									$list_option1_result = substr($list_option1_result,0,18)."...";
								}
								if(strlen($strAddress) > 28){
									$strAddress = substr($strAddress,0,28)."...";
								}
								
								echo '<div class="event-item">
											<div class="event-date">'.date(get_option('myband_date_format'), $expiration_date).'</div>
											<div class="event-name">'.$list_option1_result.'</div>
											<div class="event-address">'.$strAddress.'</div>
											<div class="event-share-list">'.get_add_share(get_permalink($post->ID),get_the_title($post->ID)).'</div>
											<div class="event-more"><a href="'.get_permalink($post->ID).'">Learn more</a></div>
									</div>';
										if(($i%8==0) &&($i>1)) {
											echo "</li><li>";
										}	
									$i++;
							}
							}
							if(count($pageposts) %8 !=0) {
								echo "</li>";
							}
								?>
								</ul>
							</div>
						</div>
					<?php } ?>
					</div>					
					<?php if (get_option('myband_integration_single_bottom') <> '' && get_option('myband_integrate_singlebottom_enable') == 'on') echo(get_option('myband_integration_single_bottom')); ?>
				</div>
				<?php get_sidebar(); ?>	
			</div>
		</div>
<?php get_footer(); ?>