<?php
get_header();
$post_number = get_option('myband_catnum_posts');
$i = 1;
?>
	
	<div id="content-full">
		<div id="hr">
			<div id="hr-center">
				<div id="intro">
					<div class="center-highlight">
						<div class="container">
							<?php include(TEMPLATEPATH . '/includes/breadcrumbs.php'); ?>
						</div> <!-- end .container -->	
					</div> <!-- end .center-highlight -->
				</div>	<!-- end #intro -->	
			</div> <!-- end #hr-center -->
		</div> <!-- end #hr -->
				
		<div class="center-highlight">
			<div class="container">
				<?php 
					global $query_string; 
					parse_str($query_string, $qstring_array);
					$args = array('showposts' => $post_number,'paged'=>$paged);
					
					if ( isset($_GET['et_searchform_submit']) ) {			
						$postTypes = array();
						if ( !isset($_GET['ev-inc-posts']) && !isset($_GET['ev-inc-pages']) ) $postTypes = array('post');
						if ( isset($_GET['ev-inc-pages']) ) $postTypes = array('page');
						if ( isset($_GET['ev-inc-posts']) ) $postTypes[] = 'post';
						$args['post_type'] = $postTypes;
						
						if ( $_GET['ev-month-choice'] != 'no-choice' ) {
							$et_year = substr($_GET['ev-month-choice'],0,4);
							$et_month = substr($_GET['ev-month-choice'], 4, strlen($_GET['ev-month-choice'])-4);
							$args['year'] = $et_year;
							$args['monthnum'] = $et_month;
						}
						
						if ( $_GET['ev-cat'] != 0 )
							$args['cat'] = $_GET['ev-cat'];
					}	
					
					$args = array_merge($args,$qstring_array);		
					query_posts($args);
				?>
					<div id="content-area" class="clearfix">
						<div id="left-area">
							<div id="music-cate" class="entry">
								<div id="portfolio-items" class="clearfix">
									<h2 class="title"><?php _e('Keyword: ', 'myband'); ?><span class="keyword"><?php the_search_query(); ?></span></h2>
									<?php if (have_posts()) : while (have_posts()) : the_post(); ?>					
										<?php include(TEMPLATEPATH . '/includes/music.php'); ?>
										<?php $i++; ?>
									<?php endwhile; ?>
										<div class="clear"></div>
										<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
										else { ?>
											 <?php include(TEMPLATEPATH . '/includes/navigation.php'); ?>
										<?php } ?>
										
									<?php else : ?>
										<?php include(TEMPLATEPATH . '/includes/no-results.php'); ?>
									<?php endif; wp_reset_query(); ?>
								</div> <!-- end #portfolio-items -->
							</div>
						</div> <!-- end #left-area -->
						<?php get_sidebar(); ?>
					</div> <!-- end #content-area -->
			</div> <!-- end .container -->
			<?php get_footer(); ?>