<?php

//Color Management Admin Options

$ds_prepare_theme_options1 = array (
	
	array(
		'type' => 'open'
	),
	array(
		'name' => 'Social Networks Options',
		'type' => 'options_title'
	),
	array(
		'name' => '<hr><br/>Facebook fan page URL',
		'desc' => '',
		'id' => $shortname . 'facebookUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Twitter URL',
		'desc' => '',
		'id' => $shortname . 'twitterUrl',
		'type' => 'text-url',
		'default_value' => ''
	), 
	array(
		'name' => 'Last.fm URL',
		'desc' => '',
		'id' => $shortname . 'lastfmUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'RSS feed URL',
		'desc' => get_option('home').'/feed' . ' for default Wordpress RSS',
		'id' => $shortname . 'rssUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Events RSS feed URL',
		'desc' => get_option('home').'/feed/?post_type=event' . ' for RSS feed of events',
		'id' => $shortname . 'eventrssUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Virb URL',
		'desc' => '',
		'id' => $shortname . 'virbUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'MySpace URL',
		'desc' => '',
		'id' => $shortname . 'myspacebUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'YouTube URL',
		'desc' => '',
		'id' => $shortname . 'youtobeUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Metacafe URL',
		'desc' => '',
		'id' => $shortname . 'metacafeUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Vimeo URL',
		'desc' => '',
		'id' => $shortname . 'vimeoUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Dailymotion URL',
		'desc' => '',
		'id' => $shortname . 'dailymotionUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'LinkedIn url',
		'desc' => '',
		'id' => $shortname . 'linkedinUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'iTunes URL',
		'desc' => '',
		'id' => $shortname . 'itunesUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Amazon MP3 URL',
		'desc' => '',
		'id' => $shortname . 'amazonmp3Url',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Napster URL',
		'desc' => '',
		'id' => $shortname . 'napsterUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Flickr URL',
		'desc' => '',
		'id' => $shortname . 'flickrUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'ReverbNation URL',
		'desc' => '',
		'id' => $shortname . 'reverbUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'CD Baby URL',
		'desc' => '',
		'id' => $shortname . 'cdbabyUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Soundcloud URL',
		'desc' => '',
		'id' => $shortname . 'soundcloudUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Bandcamp URL',
		'desc' => '',
		'id' => $shortname . 'bandcampUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'SonicBids URL',
		'desc' => '',
		'id' => $shortname . 'sonicbidsUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Spotify URL',
		'desc' => '',
		'id' => $shortname . 'spotifyUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'PledgeMusic URL',
		'desc' => '',
		'id' => $shortname . 'pledgeUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'name' => 'Instagram URL',
		'desc' => '',
		'id' => $shortname . 'instagramUrl',
		'type' => 'text-url',
		'default_value' => ''
	),
	array(
		'type' => 'close'
	)

);

function ds_write_theme_options1() {
   global $ds_prepare_theme_options1, $shortname;
	?>
   <div class="wrap">
	<form method="post">
	<?php
	foreach ($ds_prepare_theme_options1 as $value) :
		switch ( $value['type'] ) :
			case 'open' :
				?><ul class="ds_admin">
	            <?php
				if ( $_REQUEST['reset'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Reset.</strong></p></div></li>';
				if ( $_REQUEST['saved'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Saved.</strong></p></div></li>';
			break;			
			case 'options_title':
				?>
				<li>
					<div class="icon32" id="icon-options-general"><br/></div>
					<h2><?php echo $value['name']; ?></h2>
            	</li>
				<?php
			break;
			case 'text-url':
				?>
	            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
					<div id="<?php echo $value['id']; ?>">                    
                        <input style="width:450px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" />
	            		<p class='admindescription'><?php echo $value['desc']; ?></p>                        
                    </div>
    	        </li>
				<?php
			break;
			case 'close':
				?></ul><?php
			break;
		endswitch;
	endforeach;
	?>
   
    <p class="submit" style="float: left;">
        <input name="save" type="submit" value="Save changes" class="button-primary" />
        <input type="hidden" name="action" value="save" />
    </p>
    
	</form>
   
	<form method="post">
    <p class="submit" style="float: left;">
        <input name="reset" type="submit" value="Reset"/>
        <input type="hidden" name="action" value="reset" />
    </p>
	</form>
    
	</div>
	<?php
}
function ds_put_theme_options_in_sidebar1() {
    global $ds_prepare_theme_options1;
		if ( $_GET['page'] == basename(__FILE__) ) :
			if ( 'save' == $_REQUEST['action'] ) :
				foreach ( $ds_prepare_theme_options1 as $value ) :
					update_option( $value['id'], stripslashes_deep($_REQUEST[ $value['id'] ]) );
				endforeach;
			
				foreach ( $ds_prepare_theme_options1 as $value ) :
					if ( isset( $_REQUEST[ $value['id'] ] ) ) :
						update_option( $value['id'], stripslashes_deep($_REQUEST[ $value['id'] ]) );
					else :
						delete_option( $value['id'] );
					endif;
				endforeach;
			
				header('Location: admin.php?page=' . basename(__FILE__) . '&saved=true');
				die;
			
			elseif ( 'reset' == $_REQUEST['action'] ) :
				foreach ( $ds_prepare_theme_options1 as $value ) :
					delete_option( $value['id'] );
				endforeach;
				header('Location: admin.php?page=' . basename(__FILE__) . '&reset=true');
				die;			
			endif;
		endif;
	add_submenu_page( 'functions.php', 'Social Networks', 'Social Networks', 8, basename(__FILE__), 'ds_write_theme_options1' );
}
add_action('admin_menu', 'ds_put_theme_options_in_sidebar1');
?>