<?php

//Featured Admin Options

$ds_prepare_theme_options3 = array (
	
	array(
		'type' => 'open'
	),
	array(
		'name' => 'Homepage Featured Slider',
		'type' => 'options_title'
	),
	array(
		'name' => '<hr><br/>Featured Slider Options',
		'desc' => 'Create than select a post category to be used for the contents of the featured slider.',
		'id' => $shortname . 'featured_cat',
		'type' => 'type_featured_cat',
		'default_value' => 'None Selected'
	),
	array(
		'name' => '',
		'desc' => 'How many posts do you want to be shown on the homepage slider?',
		'id' => $shortname . 'featured_num',
		'type' => 'type_feat_quantity',
		'default_value' => '4'
	),
	array(
		'name' => '',
		'desc' => 'Please select slider transition effect.',
		'id' => $shortname . 'slider_effect',
		'type' => 'type_slider_effect',
		'default_value' => 'fade'
	),
	array(
		'name' => '',
		'desc' => 'Pause time between slide transitions (3000 = 3 seconds, 5500 = 5.5 seconds, etc.)',
		'id' => $shortname . 'slider_time',
		'type' => 'type_text',
		'default_value' => '3000'
	),
	array(
		'type' => 'close'
	)

);

function ds_write_theme_options3() {

   global $ds_prepare_theme_options3;
	
	?>
	
   <div class="wrap">
   
	<form method="post">
	
	<?php
	
	foreach ($ds_prepare_theme_options3 as $value) :
	
		switch ( $value['type'] ) :
	
			case 'open' :
				?><ul class="ds_admin">
            
	            <?php

				if ( $_REQUEST['reset'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Reset.</strong></p></div></li>';
				if ( $_REQUEST['saved'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Saved.</strong></p></div></li>';
				
				?>
            
				<?php
			break;
			
			case 'options_title':
				?>
				<li>
					<div class="icon32" id="icon-options-general"><br/></div>
					<h2><?php echo $value['name']; ?></h2>
            	</li>
				<?php
			break;
			
			case 'type_featured_cat':
				?>
            
            <?php if ( get_option($value['id']) == "" ) { update_option($value['id'], $value['default_value']); } // If id is empty put the default value in it ?>
            
            <li>

				<h3><?php echo $value['name']; ?></h3>
            
   			<p><?php echo $value['desc']; ?></p>
            
				<?php ds_get_category_list($value['id'], $value['default_value']); ?>
                
				<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['default_value']; } ?>"/>
            
            </li>
                
				<?php
			break;
			
			case 'type_feat_quantity':
				?>
            
            <?php if ( get_option($value['id']) == "" ) { update_option($value['id'], $value['default_value']); } // If id is empty put the default value in it ?>
            
				<li>

				<h3><?php echo $value['name']; ?></h3>
            
   			<p><?php echo $value['desc']; ?></p>
            
            <?php
				
				echo '<select name="event-dropdown'. $value['id'].'" onchange="document.getElementById(' . "'" . $value['id'] . "'" . ').value=this.options[this.selectedIndex].value;" style="width: 150px">';
				
					echo '<option value="8"'; if (get_option($value['id']) == "8") { echo ' selected="selected">'; } else { echo ' >'; } echo '8</option>';
					echo '<option value="7"'; if (get_option($value['id']) == "7") { echo ' selected="selected">'; } else { echo ' >'; } echo '7</option>';
					echo '<option value="6"'; if (get_option($value['id']) == "6") { echo ' selected="selected">'; } else { echo ' >'; } echo '6</option>';
					echo '<option value="5"'; if (get_option($value['id']) == "5") { echo ' selected="selected">'; } else { echo ' >'; } echo '5</option>';
					echo '<option value="7"'; if (get_option($value['id']) == "4") { echo ' selected="selected">'; } else { echo ' >'; } echo '4</option>';
					echo '<option value="3"'; if (get_option($value['id']) == "3") { echo ' selected="selected">'; } else { echo ' >'; } echo '3</option>';
					echo '<option value="2"'; if (get_option($value['id']) == "2") { echo ' selected="selected">'; } else { echo ' >'; } echo '2</option>';
					echo '<option value="1"'; if (get_option($value['id']) == "1") { echo ' selected="selected">'; } else { echo ' >'; } echo '1</option>';
					
				echo '</select>';
				
				?>
            
				<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['default_value']; } ?>"/>
                
            </li>
                
				<?php
			break;
			
			case 'type_slider_effect':
				?>
            
            <?php if ( get_option($value['id']) == "" ) { update_option($value['id'], $value['default_value']); } // If id is empty put the default value in it ?>
            
				<li>

				<h3><?php echo $value['name']; ?></h3>
            
   			<p><?php echo $value['desc']; ?></p>
            
            <?php
				
				echo '<select name="event-dropdown'. $value['id'].'" onchange="document.getElementById(' . "'" . $value['id'] . "'" . ').value=this.options[this.selectedIndex].value;" style="width: 150px">';
				
					echo '<option value="fade"'; if (get_option($value['id']) == "fade") { echo ' selected="selected">'; } else { echo ' >'; } echo 'fade</option>';
					echo '<option value="blindX"'; if (get_option($value['id']) == "blindX") { echo ' selected="selected">'; } else { echo ' >'; } echo 'blindX</option>';
					echo '<option value="blindY"'; if (get_option($value['id']) == "blindY") { echo ' selected="selected">'; } else { echo ' >'; } echo 'blindY</option>';
					echo '<option value="blindZ"'; if (get_option($value['id']) == "blindZ") { echo ' selected="selected">'; } else { echo ' >'; } echo 'blindZ</option>';
					echo '<option value="cover"'; if (get_option($value['id']) == "cover") { echo ' selected="selected">'; } else { echo ' >'; } echo 'cover</option>';
					echo '<option value="scrollUp"'; if (get_option($value['id']) == "scrollUp") { echo ' selected="selected">'; } else { echo ' >'; } echo 'scrollUp</option>';
					echo '<option value="scrollDown"'; if (get_option($value['id']) == "scrollDown") { echo ' selected="selected">'; } else { echo ' >'; } echo 'scrollDown</option>';
					echo '<option value="scrollLeft"'; if (get_option($value['id']) == "scrollLeft") { echo ' selected="selected">'; } else { echo ' >'; } echo 'scrollLeft</option>';
					echo '<option value="scrollRight"'; if (get_option($value['id']) == "scrollRight") { echo ' selected="selected">'; } else { echo ' >'; } echo 'scrollRight</option>';
				echo '</select>';
				
				?>
            
				<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['default_value']; } ?>"/>
                
            </li>
                
				<?php
			break;
			
			case 'type_text':
				?>
            
	            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
            
				<li>

                    <h3><?php echo $value['name']; ?></h3>
                
                    <p><?php echo $value['desc']; ?></p>
                
                    <p><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
            
	            </li>
            
				<?php
			break;
				
			case 'close':
				?></ul><?php
			break;
		
		endswitch;
		
	endforeach;
	
	?>
   
    <p class="submit" style="float: left;">
        <input name="save" type="submit" value="Save changes" class="button-primary" />
        <input type="hidden" name="action" value="save" />
    </p>
    
	</form>
   
	<form method="post">
    <p class="submit" style="float: left;">
        <input name="reset" type="submit" value="Reset"/>
        <input type="hidden" name="action" value="reset" />
    </p>
	</form>
    
	</div>
	
	<?php
	
}

function ds_put_theme_options_in_sidebar3() {

    global $ds_prepare_theme_options3;

		if ( $_GET['page'] == basename(__FILE__) ) :
		
			if ( 'save' == $_REQUEST['action'] ) :
			
				foreach ( $ds_prepare_theme_options3 as $value ) :
					update_option( $value['id'], stripslashes_deep($_REQUEST[ $value['id'] ]) );
				endforeach;
			
				foreach ( $ds_prepare_theme_options3 as $value ) :
					if ( isset( $_REQUEST[ $value['id'] ] ) ) :
						update_option( $value['id'], stripslashes_deep($_REQUEST[ $value['id'] ]) );
					else :
						delete_option( $value['id'] );
					endif;
				endforeach;
			
				header('Location: admin.php?page=' . basename(__FILE__) . '&saved=true');
				die;
			
			elseif ( 'reset' == $_REQUEST['action'] ) :
			
				foreach ( $ds_prepare_theme_options3 as $value ) :
					delete_option( $value['id'] );
				endforeach;
			

				header('Location: admin.php?page=' . basename(__FILE__) . '&reset=true');
				die;
			
			endif;
			
		endif;
	
	add_submenu_page( 'functions.php', 'Featured Slider', 'Featured Slider', 8, basename(__FILE__), 'ds_write_theme_options3' );
	
}

add_action('admin_menu', 'ds_put_theme_options_in_sidebar3');

?>