<?php
$ds_prepare_event_fields = array (
	
	array(
		'name' => 'Venue name',
		'desc' => 'Name of the event location:',
		'id' => $ds_custom_field_key . 'venue_name',
		'type' => 'ec_single_colum_start',
		'default_value' => ''
	),
	
	array(
		'name' => 'Event time',
		'desc' => 'The time the event is taking place:',
		'id' => $ds_custom_field_key . 'venue_time',
		'type' => 'ec_single_colum',
		'default_value' => ''
	),
	array(
		'name' => 'Venue Homepage',
		'desc' => 'URL of the venue (add http:// for external links):',
		'id' => $ds_custom_field_key . 'venue_home',
		'type' => 'ec_single_colum_end',
		'default_value' => ''
	),
	array(
		'name' => 'Event date',
		'desc' => 'Date of the event:',
		'id' => $ds_custom_field_key . 'venue_date',
		'type' => 'ec_single_colum_start_date',
		'default_value' => ''
	),
	array(
		'name' => 'Venue city',
		'desc' => 'City of the event location:',
		'id' => $ds_custom_field_key . 'venue_city',
		'type' => 'ec_single_colum',
		'default_value' => ''
	),
	array(
		'name' => 'Venue state',
		'desc' => 'State of the event location (if applicable):',
		'id' => $ds_custom_field_key . 'venue_state',
		'type' => 'ec_single_colum_end',
		'default_value' => ''
	),
	array(
		'name' => 'Venue country',
		'desc' => 'Country of the event location:',
		'id' => $ds_custom_field_key . 'venue_country',
		'type' => 'ec_single_colum_start',
		'default_value' => ''
	),
	array(
		'name' => 'Venue zip code',
		'desc' => 'Zip code of the event location:',
		'id' => $ds_custom_field_key . 'venue_zipcode',
		'type' => 'ec_single_colum',
		'default_value' => ''
	),
	array(
		'name' => 'Venue street',
		'desc' => 'Street and house number of the event location:',
		'id' => $ds_custom_field_key . 'venue_street',
		'type' => 'ec_single_colum_end',
		'default_value' => ''
	),
	array(
		'name' => 'Ticket sales URL',
		'desc' => 'URL to the ticket sales page (add http:// for external links):',
		'id' => $ds_custom_field_key . 'venue_sales',
		'type' => 'ec_single_colum_start',
		'default_value' => ''
	),
	array(
		'name' => 'Entrance Fee',
		'desc' => 'Entrance fee to the event (if any)',
		'id' => $ds_custom_field_key . 'venue_fee',
		'type' => 'ec_single_colum',
		'default_value' => ''
	),
	array(
		'name' => 'Age Restrictions',
		'desc' => 'Age restriction of the event',
		'id' => $ds_custom_field_key . 'venue_age',
		'type' => 'ec_single_colum_end',
		'default_value' => ''
	),
	array(
		'name' => 'Google Map Address',
		'desc' => 'This field is used by the Google Map Api to display the location of the event. Type in the address yourself, or press the button on the right to generate the address based on the data you entered above.',
		'id' => $ds_custom_field_key . 'venue_google_map_address',
		'type' => 'ec_full_map',
		'default_value' => ''
	)
	
	
);

function ds_write_event_fields() {
	global $post, $ds_prepare_event_fields;
	echo'<script type="text/javascript">
			jQuery(document).ready(function() {
				jQuery( "#datepicker" ).datepicker({ dateFormat: "dd-M-yy" });
				
			 });

		</script>
		<table cellspacing="0" id="inactive-plugins-table" style="width: 100%;">
			<tbody>';
	
			foreach ( $ds_prepare_event_fields as $custom_field ) :
				switch ( $custom_field['type'] ) :
					case 'ec_single_colum_start':

			$temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
                  
                  <tr>
                     <td>
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>
                        <p><?php echo $custom_field['desc']; ?></p>
                        <p> <input style="width: 100%" id="<?php echo $custom_field['id'] . '_value'; ?>" name="<?php echo $custom_field['id'] . '_value'; ?>" type="text" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" /></p>
                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>
                     </td>
						<?php
					break;
					case 'ec_single_colum_start_date':
						?>
                  
	               <?php $temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
                  <tr>
                     <td>
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>
                        <p><?php echo $custom_field['desc']; ?></p>
                        <div style="position:relative;"><p> <input readonly="true" id="datepicker" class="date_input" style="width: 100%" name="<?php echo $custom_field['id'] . '_value'; ?>" type="text" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" /></p></div>
                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>

                     </td>
						<?php
					break;
					case 'ec_full_colum':
						?>
                  
	               <?php $temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
                     <td  colspan="2">
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>
                        <p><?php echo $custom_field['desc']; ?></p>
                        <p> <input style="width: 100%" id="<?php echo $custom_field['id'] . '_value'; ?>" name="<?php echo $custom_field['id'] . '_value'; ?>" type="text" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" /></p>
                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>

                     </td>
					  </tr>
						<?php
					break;
					case 'ec_full_map':
						?>
                  
	               <?php $temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
                  
                  <tr>
                     <td colspan="3">
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>
                        <p><?php echo $custom_field['desc']; ?></p>
                        <p> 
						<input style="width: 80%" id="<?php echo $custom_field['id'] . '_value'; ?>"  name="<?php echo $custom_field['id'] . '_value'; ?>" type="text" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" />
						<input type="button" id="<?php echo $custom_field['id'] . '_button'; ?>" value="Generate address"/>
						<script type="text/javascript">
							jQuery(document).ready(function() {
								jQuery('#<?php echo $custom_field['id'] . '_button'; ?>').click(function() {
								  jQuery('#<?php echo $custom_field['id'] . '_value'; ?>').val(jQuery('#venue_street_value').val() + ", " + jQuery('#venue_city_value').val() + ", " + jQuery('#venue_state_value').val() + ", " + jQuery('#venue_country_value').val() );
								});
							 });
						</script>						
						</p>
                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>
						
                     </td>
					 </tr>
						<?php
					break;

                    case 'ec_single_colum':
						?>
	               <?php $temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
                    <td>
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>                        
                        <p><?php echo $custom_field['desc']; ?></p>
                        <p><input style="width: 100%" id="<?php echo $custom_field['id'] . '_value'; ?>" name="<?php echo $custom_field['id'] . '_value'; ?>" type="text" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" /> </p>
                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>						
                     </td>
						<?php
					break;
					
					 case 'ec_single_colum_end':
						?>
	               <?php $temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
                    <td>
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>
                        <p><?php echo $custom_field['desc']; ?></p>
                        <p><input style="width: 100%" id="<?php echo $custom_field['id'] . '_value'; ?>" name="<?php echo $custom_field['id'] . '_value'; ?>" type="text" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" /> </p>
                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>
                     </td>
					 </tr>
					 	<?php
					break;
					 case 'ec_single_colum_full':
						?>
	               <?php $temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
                    <td colspan="4">
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>

                        <p><?php echo $custom_field['desc']; ?></p>

                        <p><input style="width: 100%" id="<?php echo $custom_field['id'] . '_value'; ?>" name="<?php echo $custom_field['id'] . '_value'; ?>" type="text" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" /> </p>

                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>

                     </td>
					 </tr>
					 	<?php
					break;
					case 'ec_hidden':
						?>
	               <?php $temp = get_post_meta($post->ID, $custom_field['id'] . '_value', true); ?>
					<tr style="display:none;">
                     <td colspan="4" >
                        <p><strong><?php echo $custom_field['name']; ?></strong></p>
						 <p><?php echo $custom_field['desc']; ?></p>
                        
                        <p> <input id= "<?php echo $custom_field['id']; ?>" name="<?php echo $custom_field['id'] . '_value'; ?>" type="hidden" value="<?php if ( $temp != "") { echo $temp; } else { echo $custom_field['default_value']; } ?>" /></p>
                        <input name="<?php echo $custom_field['id'] . '_noncename'; ?>" id="<?php echo $custom_field['id'] . '_noncename'; ?>" type="hidden" value="<?php echo wp_create_nonce( plugin_basename(__FILE__) ) ?>"/>
                     </td>
                    </tr>
						<?php
					break;
									
				endswitch;
			
			endforeach;
	
	echo'
	
			</tbody>
			
		</table>';
}

function ds_init_event_fields() {
	
	if ( function_exists('add_meta_box') ) :
		
		add_meta_box( 'new-meta-boxes', 'Theme Custom Fields', 'ds_write_event_fields', 'event', 'normal', 'high' );
		
	endif;
	
}

function ds_save_event_fields( $post_id ) {
	
		global $post, $ds_prepare_event_fields, $ds_custom_field_key;
	
		foreach ( $ds_prepare_event_fields as $custom_field ) :

			// verify this came from the our screen and with proper authorization,
			// because save_post can be triggered at other times
			
			if ( !wp_verify_nonce( $_POST[$custom_field['id'] . '_noncename'], plugin_basename(__FILE__) ) ) :
			 return $post_id;
			endif;
			
			// verify if this is an auto save routine. If it is our form has not been submitted, so we dont want
			// to do anything
			
			if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
			
			// Check permissions
			if ( 'page' == $_POST['post_type'] ) :
			
				if ( !current_user_can( 'edit_page', $post_id ) ) :
				
					return $post_id;
					
			 	elseif ( !current_user_can( 'edit_post', $post_id ) ) :
				
					return $post_id;
					
				endif;
					
			endif;
			
			// OK, we're authenticated: we need to find and save the data
			
			if ( $custom_field['id'] == $ds_custom_field_key . 'price' ) :
			
				$data = ds_strip_comma($_POST[$custom_field['id'] . '_value']);
				
			else :
			
				$data = $_POST[$custom_field['id'] . '_value'];
			
			endif;
	
			if ( get_post_meta($post_id, $custom_field['id'] . '_value' ) == '') :
			
				add_post_meta($post_id, $custom_field['id'] . '_value', $data, true);
				
			elseif ( $data != get_post_meta($post_id,  $custom_field['id'] . '_value', true) ) :
				
				update_post_meta($post_id, $custom_field['id'] . '_value', $data);
				
			endif;
			
			if ($data == "") :
			
				delete_post_meta($post_id, $custom_field['id'] . '_value', get_post_meta($post_id, $custom_field['id'] . '_value', true));
				
			endif;
			
	
		endforeach;

}

add_action('admin_menu', 'ds_init_event_fields');
add_action('save_post', 'ds_save_event_fields');

?>