<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php $favi = (get_option('myband_favicon') <> '') ? get_option('myband_favicon') : get_bloginfo('template_directory').'/images/favicon.ico'; ?>
<link rel="shortcut icon" type="image/ico" href="<?php echo $favi; ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/css/jquery.fancybox-1.3.4.css" />

<!--[if lt IE 7]>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/css/ie6style.css" />
<![endif]-->
<!--[if IE 7]>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/css/ie7style.css" />
<![endif]-->
<!--[if IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/css/ie8style.css" />
<![endif]-->

<?php if(get_option('myband_style_color') != 'default') { ?>
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/<?php echo get_option('myband_style_color'); ?>.css" type="text/css" media="screen"  />
<?php }?>

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.jplayer.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.cycle.all.min.js"></script> 
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.easing.1.3.js"></script>   
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/superfish.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.lavalamp.1.3.3-min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon-yui.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/scrollTo.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/serialScroll.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.popupWindow.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/easySlider1.5.js"></script>

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.fancybox-1.3.4.pack.js"></script>
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=true_or_false&amp;key=<?php echo get_option('myband_google_map_api') ?>&amp;sensor=false" type="text/javascript"></script>
<?php include(TEMPLATEPATH . '/includes/scripts.php'); ?>  
</head>

<body <?php body_class(); ?>>
<div id="wrapper">
	<div id="top">
		<div class="container">
			<div id="header">
				<div id="logo">
				<a href="<?php bloginfo('url'); ?>">
					<?php $logo = (get_option('myband_logo') <> '') ? get_option('myband_logo') : get_bloginfo('template_directory').'/images/logo.png'; ?>
					<img src="<?php echo $logo; ?>" alt="myband Logo" />
				</a>
				
				</div>
				<div id="search-form">
						<form method="get" id="searchform" action="<?php bloginfo('url'); ?>">
							
							<input type="text" onblur="this.value=(this.value=='') ? '<?php _e('search this site...','myband'); ?>' : this.value;" onfocus="this.value=(this.value=='<?php _e('search this site...','myband'); ?>') ? '' : this.value;" maxlength="150" value="<?php _e('search this site...','myband'); ?>" name="s" id="searchinput"/>	
							<input type="submit" value="" id="searchsubmit" />
						</form>
				</div> <!-- end #search-form -->
				<div id="menu" class="clearfix">
					<?php $menuClass = 'nav';
					$menuID = 'primary';
					$primaryNav = '';
					if (function_exists('wp_nav_menu')) {
						$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-menu', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) ); 
					};
					if ($primaryNav == '') { ?>
						<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
							<li<?php if(is_home()&&!is_paged()) echo ' class="current_page_item"'; ?>><a href="<?php bloginfo('url'); ?>"><?php _e('HOME', 'myband'); ?><!--end--></a></li>
						<?php wp_list_pages('title_li=&depth=2'); ?>
						</ul> <!-- end ul#nav -->
					<?php }
					else echo($primaryNav); ?>
					<ul class="list-social">
						<?php  if (get_option('myband_facebookUrl') != '') :?>
							<li id="first"><a href="<?php echo get_option('myband_facebookUrl'); ?>" title="Facebook"><img alt="Facebook" src="<?php bloginfo('template_url'); ?>/images/icons/facebook.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_twitterUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_twitterUrl'); ?>" title="Twitter"><img alt="Twitter" src="<?php bloginfo('template_url'); ?>/images/icons/twitter.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_lastfmUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_lastfmUrl'); ?>" title="LastFM"><img alt="LastFM" src="<?php bloginfo('template_url'); ?>/images/icons/Last.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_rssUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_rssUrl'); ?>" title="RSS Feed"><img alt="RSS" src="<?php bloginfo('template_url'); ?>/images/icons/rss.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_eventrssUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_eventrssUrl'); ?>" title="Event RSS Feed"><img alt="Event RSS" src="<?php bloginfo('template_url'); ?>/images/icons/eventrss.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_virbUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_virbUrl'); ?>" title="Virb"><img alt="Virb" src="<?php bloginfo('template_url'); ?>/images/icons/virb.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_myspacebUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_myspacebUrl'); ?>" title="MySpace"><img alt="MySpace" src="<?php bloginfo('template_url'); ?>/images/icons/mySpace.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_youtobeUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_youtobeUrl'); ?>" title="YouTube"><img alt="YouTube" src="<?php bloginfo('template_url'); ?>/images/icons/youtube.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_metacafeUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_metacafeUrl'); ?>" title="MetaCafé"><img alt="MetaCafé" src="<?php bloginfo('template_url'); ?>/images/icons/metacafe.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_vimeoUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_vimeoUrl'); ?>" title="Vimeo"><img alt="Vimeo" src="<?php bloginfo('template_url'); ?>/images/icons/vimeo.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_dailymotionUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_dailymotionUrl'); ?>" title="DailyMotion"><img alt="DailyMotion" src="<?php bloginfo('template_url'); ?>/images/icons/dailymotion.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_linkedinUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_linkedinUrl'); ?>" title="LinkedIn"><img alt="LinkedIn" src="<?php bloginfo('template_url'); ?>/images/icons/linkedin.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_itunesUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_itunesUrl'); ?>" title="iTunes"><img alt="iTunes" src="<?php bloginfo('template_url'); ?>/images/icons/iTunes.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_amazonmp3Url') != '') :?>
							<li><a href="<?php echo get_option('myband_amazonmp3Url'); ?>" title="Amazon MP3"><img alt="Amazonmp3" src="<?php bloginfo('template_url'); ?>/images/icons/amazon-mp3.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_napsterUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_napsterUrl'); ?>" title="Napster"><img alt="Napster" src="<?php bloginfo('template_url'); ?>/images/icons/napster.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_flickrUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_flickrUrl'); ?>" title="Flickr"><img alt="Flickr" src="<?php bloginfo('template_url'); ?>/images/icons/Flickr.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_reverbUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_reverbUrl'); ?>" title="ReverbNation"><img alt="Reverb Nation" src="<?php bloginfo('template_url'); ?>/images/icons/reverb.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_cdbabyUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_cdbabyUrl'); ?>" title="CD Baby"><img alt="CD Baby" src="<?php bloginfo('template_url'); ?>/images/icons/cdbaby.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_soundcloudUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_soundcloudUrl'); ?>" title="Soundcloud"><img alt="Soundcloud" src="<?php bloginfo('template_url'); ?>/images/icons/soundcloud.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_bandcampUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_bandcampUrl'); ?>" title="Bandcamp"><img alt="Bandcamp" src="<?php bloginfo('template_url'); ?>/images/icons/bandcamp.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_sonicbidsUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_sonicbidsUrl'); ?>" title="SonicBids"><img alt="SonicBids" src="<?php bloginfo('template_url'); ?>/images/icons/sonicbids.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_spotifyUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_spotifyUrl'); ?>" title="Spotify"><img alt="Spotify" src="<?php bloginfo('template_url'); ?>/images/icons/spotify.png"/></a></li>
						<?php endif;?>
						
						<?php  if (get_option('myband_pledgeUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_pledgeUrl'); ?>" title="Pledge"><img alt="Pledge" src="<?php bloginfo('template_url'); ?>/images/icons/pledgemusic.png"/></a></li>
						<?php endif;?>

						<?php  if (get_option('myband_instagramUrl') != '') :?>
							<li><a href="<?php echo get_option('myband_instagramUrl'); ?>" title="Instagram"><img alt="Instagram" src="<?php bloginfo('template_url'); ?>/images/icons/instagram.png"/></a></li>
						<?php endif;?>
					</ul>
					
				</div> <!-- end #menu -->		
			</div> <!-- end #header -->
		</div> <!-- end .container -->		
	</div> <!-- end #top -->


