<?php 
$post_number = get_option('myband_catnum_posts');
?>
	<div id="content-full">
		<script type="text/javascript">
			jQuery(document).ready(function(){	
				jQuery('body').removeClass('home');
			});
		</script>
		<div id="hr">
			<div id="hr-center">
				<div id="intro">
					<div class="center-highlight">
						<div class="container">
							<?php include(TEMPLATEPATH . '/includes/breadcrumbs.php'); ?>
						</div> <!-- end .container -->	
					</div> <!-- end .center-highlight -->
				</div>	<!-- end #intro -->	
			</div> <!-- end #hr-center -->
		</div>
		<div class="center-highlight">
			<div class="container">
				<div id="content-area" class="clearfix blog">
					<div id="left-area">	
						<?php $i = 1; ?>
						<?php 
						$cat = get_option('myband_exclude_cat');
						query_posts(array("showposts"=>$post_number,
											"paged"=>$paged,
											"category__not_in"=>$cat));
						?>
						<?php $currUrl=get_bloginfo('url');?>
							<div id="music-cate" class="entry">
								
								<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
							
								<h2  class="title"><?php bloginfo('name'); ?> </h2>
								<div class="shareButton">
									<?php add_share($currUrl,get_bloginfo('name'));?>
								</div>
								
								<div id="portfolio-items" class="clearfix">
								
									<?php if (have_posts()) : while (have_posts()) : the_post(); ?>					
										<?php include(TEMPLATEPATH . '/includes/music.php'); ?>
										<?php $i++; ?>
									<?php endwhile; ?>
										<div class="clear"></div>
										<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
										else { ?>
											 <?php include(TEMPLATEPATH . '/includes/navigation.php'); ?>
										<?php } ?>
										
									<?php else : ?>
										<?php include(TEMPLATEPATH . '/includes/no-results.php'); ?>
									<?php endif; wp_reset_query(); ?>
								</div> <!-- end #portfolio-items -->
								<div class="like-button">
									<?php add_like_button($currUrl);?>
								</div>
							</div> <!-- end #gallery -->
					</div> 
					<?php get_sidebar(); ?>
				</div>	
			</div> <!-- end .container -->