<?php get_header(); ?>
	<div id="content-full">
		<div id="home-top"></div>
		<div id="hr">
			<div id="hr-center">
				<div id="intro">
					<div class="center-highlight">
					
						<div class="container">
	
							<?php include(TEMPLATEPATH . '/includes/featured.php'); ?>
							
							<?php if (get_option('myband_quote') == 'on') { ?>
								<div id="tagline">
									<?php
										$quote1 = get_option('myband_quote_one');
									     if($quote1 != "" && $quote1 != " ") {
									        echo "<span class=\"quote1\">".$quote1."</span><br/>";
										}
										$quote2 = get_option('myband_quote_two');
									     if($quote2 != "" && $quote2 != " ") {
									        echo "<span class=\"quote2\">".$quote2."</span>";
										}
									?>
									
								</div>	<!-- end #tagline-->
							<?php } ?>
							
						</div> <!-- end .container -->	
					</div> <!-- end .center-highlight -->
				</div>	<!-- end #intro -->	
			</div> <!-- end #hr-center -->
		</div> <!-- end #hr -->
				
		<div class="center-highlight">
			<div class="container">
				
				<?php if (get_option('myband_three_box') == 'on') { ?>
					<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Homepage widgets') ) : ?> 
					<?php endif; ?>	
				<?php } ?>
					
					<div class="clear"></div>
					<?php if(get_option('myband_portfolio_number') != 0 ) { ?> 
					<h3 class="hometitle recentworks"><?php echo get_option('myband_discotitle'); ?></h3>
					
					<div id="portfolio-items" class="clearfix">
						<?php 
						$args = array('post_type' => 'album', 'showposts' => get_option('myband_portfolio_number'));
						$i = 1;
						query_posts($args);
						if (have_posts()) :
						while (have_posts()) : the_post();
						if(get_post_meta($post->ID, 'album_excl_value', true) != 'yes') {
							include(TEMPLATEPATH . '/includes/gallery.php');
							$i++;
						}
						endwhile;
						endif;
						wp_reset_query();
						?>
						
						<div class="clear"></div>
						<a href="<?php echo get_permalink(get_option('myband_portfolio_page')); ?>" class="readmore entergallery"><span><?php _e('Full Discography','myband'); ?></span></a>
					</div> <!-- end #portfolio-items -->	
				<?php } ?>
				
					<div class="clear"></div>
					<?php if(get_option('myband_enable_blog') == 'on') { ?> 
					<h3 class="hometitle recentworks"><?php echo get_option('myband_blogrolltitle'); ?></h3>
					
					<?php $i = 1; ?>
					<?php 
					$cat = get_option('myband_exclude_cat');
					query_posts(array("showposts"=>$post_number,
										"paged"=>$paged,
										"category__not_in"=>$cat));
					?>
				
					<?php $currUrl=get_bloginfo('url');?>
						<div id="music-cate" class="home-blogroll">							
							<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
							<div id="portfolio-items" class="clearfix">
								<?php if (have_posts()) :
								while (have_posts() && $i <= get_option('myband_homeblogroll_posts')) : the_post();
									$width = 136;
									$height = 136;
									$titletext = get_the_title();
									$thumbnail = get_thumbnail($width,$height,'portfolio',$titletext,$titletext,true,'Portfolio');
									$thumb = $thumbnail["thumb"];
								?>
										<?php if($thumb !="") { ?>
										<div class="item">
											<div class="item-image">
												<?php 
												print_thumbnail($thumb, $thumbnail["use_timthumb"], $titletext, $width, $height, 'portfolio'); ?>
												<span class="overlay"></span>
												<a class="more-icon" href="<?php the_permalink(); ?>"><?php _e('Read more','myband'); ?></a>
											</div> <!-- end .item-image -->
										</div> <!-- end .item -->
										<?php } ?>
										<div class="entry-description<?php if ($thumb == '' || get_option('myband_thumbnails_index') == 'false') echo(' full-description'); ?>">
											<h2 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
											<?php if (get_option('myband_blog_style') == 'on') { ?>
												<?php the_content(); ?>
											<?php } else { ?>
												<p><?php truncate_post(350); ?></p>
											<?php } ?>
											<a class="readmore" href="<?php the_permalink(); ?>"><span><?php _e('Learn More','myband'); ?></span></a>
										</div>
								<?php
									$i++;
									endwhile;
								?>
									<div class="clear"></div>
								<?php endif; wp_reset_query(); ?>
							</div> <!-- end #portfolio-items -->
						</div> <!-- end #gallery -->

				<?php } ?>
				

			</div> <!-- end .container -->
<?php get_footer(); ?>