<?php 
/*
Template Name: Full Width Page
*/
?>
<?php get_header();
the_post(); ?>
	
<div id="content-full">
	<div id="hr">
		<div id="hr-center">
			<div id="intro">
				<div class="center-highlight">
					<div class="container">
						<?php include(TEMPLATEPATH . '/includes/breadcrumbs.php'); ?>
					</div> <!-- end .container -->	
				</div> <!-- end .center-highlight -->
			</div>	<!-- end #intro -->	
		</div> <!-- end #hr-center -->
	</div> <!-- end #hr -->
			
	<div class="center-highlight">
		<div class="container">
			<div id="full" class="clearfix">
					<div class="entry clearfix post full">
						<?php
						  $width = 180;
						  $height = 180;
						  $currUrl=get_permalink();							
						  $classtext = '';
						  $titletext = get_the_title();
						  $thumbnail = get_thumbnail($width,$height,$classtext,$titletext,$titletext,true);
						  $thumb = $thumbnail["fullpath"];
						?>

						<?php if($thumb <> '') { ?>
						<div class="thumbnails-post">
							<div class="gallery-thumb">
							<a href="<?php echo $thumbnail['fullpath']; ?>" class="fancybox">
									<?php print_thumbnail($thumb, true, $titletext, $width, $height, $classtext); ?>
								<span class="overlay"></span>
							</a>
							<div class="gallery-thumb-bottom">
								<div class="left-shadow"></div>
								<div class="bg"></div>
								<div class="right-shadow"></div>
							</div> <!-- end .gallery-thumb-botton -->

							</div> <!-- end .gallery-thumb -->
							</div>
						<?php } ?>
						<h1 class="title"><?php the_title(); ?></h1>
						<?php include(TEMPLATEPATH . '/includes/postinfo.php'); ?>
						<?php if($thumb == '') echo('<div class="clear"></div>'); ?>
						<div style="margin-top:40px;"><?php the_content(); ?></div>
						<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages','myband').':</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
						<?php edit_post_link(__('Edit this page','myband')); ?>
					</div> <!-- end .entry -->
					
					<?php //if (get_option('myband_integration_single_bottom') <> '' && get_option('myband_integrate_singlebottom_enable') == 'on') echo(get_option('myband_integration_single_bottom')); ?>
					
					<?php //if (get_option('myband_show_pagescomments') == 'on') comments_template('', true); ?>
						
					<div class="like-button">
								<?php add_like_button($currUrl);?>
					</div>
								
			</div> <!-- end #content-area -->

		</div> <!-- end .container -->
					
		<?php get_footer(); ?>