<?php 

/********* Shortcodes v.1.0 ************/

define('MB_SHORTCODES_VERSION', '1.0');
define('MB_SHORTCODES_DIR', get_bloginfo('template_directory') . '/shortcodes');

add_action('wp_enqueue_scripts', 'mb_shortcodes_css_and_js');
function mb_shortcodes_css_and_js(){
	wp_enqueue_style('mb-shortcodMB learn_more Shortcodes-css',MB_SHORTCODES_DIR . '/shortcodes.css', false, MB_SHORTCODES_VERSION, 'all');
	wp_enqueue_script('mb-shortcodes-js', MB_SHORTCODES_DIR . '/js/mb_shortcodes_frontend.js', array('jquery'), MB_SHORTCODES_VERSION, false);
}

function add_simple_buttons(){ 
    wp_print_scripts( 'quicktags' );
	$output = "<script type='text/javascript'>\n
	/* <![CDATA[ */ \n";
	
	$buttons = array();
	
	$buttons[] = array('name' => 'raw',
					'options' => array(
						'display_name' => 'raw',
						'open_tag' => '\n[raw]',
						'close_tag' => '[/raw]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'one_half',
					'options' => array(
						'display_name' => 'one half',
						'open_tag' => '\n[one_half]',
						'close_tag' => '[/one_half]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'one_half_last',
					'options' => array(
						'display_name' => 'one half last',
						'open_tag' => '\n[one_half_last]',
						'close_tag' => '[/one_half_last]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'one_third',
					'options' => array(
						'display_name' => 'one third',
						'open_tag' => '\n[one_third]',
						'close_tag' => '[/one_third]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'one_third_last',
					'options' => array(
						'display_name' => 'one third last',
						'open_tag' => '\n[one_third_last]',
						'close_tag' => '[/one_third_last]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'one_fourth',
					'options' => array(
						'display_name' => 'one fourth',
						'open_tag' => '\n[one_fourth]',
						'close_tag' => '[/one_fourth]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'one_fourth_last',
					'options' => array(
						'display_name' => 'one fourth last',
						'open_tag' => '\n[one_fourth_last]',
						'close_tag' => '[/one_fourth_last]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'two_third',
					'options' => array(
						'display_name' => 'two third',
						'open_tag' => '\n[two_third]',
						'close_tag' => '[/two_third]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'two_third_last',
					'options' => array(
						'display_name' => 'two third last',
						'open_tag' => '\n[two_third_last]',
						'close_tag' => '[/two_third_last]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'three_fourth',
					'options' => array(
						'display_name' => 'three fourth',
						'open_tag' => '\n[three_fourth]',
						'close_tag' => '[/three_fourth]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'three_fourth_last',
					'options' => array(
						'display_name' => 'three fourth last',
						'open_tag' => '\n[three_fourth_last]',
						'close_tag' => '[/three_fourth_last]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'three_fourth_last',
					'options' => array(
						'display_name' => 'three fourth last',
						'open_tag' => '\n[three_fourth_last]',
						'close_tag' => '[/three_fourth_last]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'box',
					'options' => array(
						'display_name' => 'box',
						'open_tag' => '\n[box type="shadow"]',
						'close_tag' => '[/box]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'tooltip',
					'options' => array(
						'display_name' => 'tooltip',
						'open_tag' => '[tooltip text="Tooltip Text"]',
						'close_tag' => '[/tooltip]',
						'key' => ''
					));
	$buttons[] = array('name' => 'learn_more',
					'options' => array(
						'display_name' => 'learn_more',
						'open_tag' => '\n[learn_more caption="Click here to learn more"]',
						'close_tag' => '[/learn_more]\n',
						'key' => ''
					));	
	$buttons[] = array('name' => 'slider',
					'options' => array(
						'display_name' => 'slider',
						'open_tag' => '\n[slider]',
						'close_tag' => '[/slider]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'slide',
					'options' => array(
						'display_name' => 'slide',
						'open_tag' => '\n[slide]',
						'close_tag' => '[/slide]\n',
						'key' => ''
					));
	$buttons[] = array('name' => 'button',
					'options' => array(
						'display_name' => 'button',
						'open_tag' => '\n[button link="#"]',
						'close_tag' => '[/button]\n',
						'key' => ''
					));

					
	$buttons[] = array('name' => 'protected',
					'options' => array(
						'display_name' => 'protected',
						'open_tag' => '\n[protected]',
						'close_tag' => '[/protected]\n',
						'key' => ''
					));
					
					
	for ($i=0; $i <= (count($buttons)-1); $i++) {
		$output .= "edButtons[edButtons.length] = new edButton('ed_{$buttons[$i]['name']}'
			,'{$buttons[$i]['options']['display_name']}'
			,'{$buttons[$i]['options']['open_tag']}'
			,'{$buttons[$i]['options']['close_tag']}'
			,'{$buttons[$i]['options']['key']}'
		); \n";
	}
	
	$output .= "\n /* ]]> */ \n
	</script>";
	echo $output;
}




add_shortcode('box', 'mb_box');
function mb_box($atts, $content = null) {
	extract(shortcode_atts(array(
				"type" => 'shadow',
				"id" => '',
				"class" => ''
			), $atts));
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
			
	$output = "<div{$id} class='rounded-corner mb-box{$class} mb-{$type}'>
					<div class='mb-box-content '><div class='icon-set'></div>";
	$output .= do_shortcode($content);
	$output .= "</div></div>";
	
	return $output;
}

add_shortcode('tooltip', 'mb_tooltip');
function mb_tooltip($atts, $content = null) {
	extract(shortcode_atts(array(
				"text" => 'Add a Tooltip Text',
				"id" => '',
				"class" => ''
			), $atts));

	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
				
	$output = "<span{$id} class='mb-tooltip{$class}'>{$content}<span class='mb-tooltip-box'>{$text}<span class='mb-tooltip-arrow'></span></span></span>";
	
	return $output;
}

add_shortcode('learn_more', 'mb_learnmore');
function mb_learnmore($atts, $content = null) {
	extract(shortcode_atts(array(
				"caption" => 'Click here to learn more',
				"state" => 'close',
				"id" => '',
				"class" => ''
			), $atts));

	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	$divClass = ($state == 'close') ? 'mb-learn-more' : 'mb-learn-more mb-open';
	$hClass = ($state == 'close') ? 'heading-more' : 'heading-more open';
	$divClass .= ' clearfix';
	
	$output = "<div{$id} class='rounded-corner {$divClass}{$class}'>
					<h3 class='{$hClass}'><span>{$caption}</span></h3>
					<div class='learn-more-content'>{$content}</div>
				</div>";
	
	return $output;
}

add_shortcode('button', 'mb_button');
function mb_button($atts, $content = null) {
	extract(shortcode_atts(array(
				"link" => "#",
				"color" => "blue",
				"type" => "small",
				"icon" => "add",
				"newwindow" => "no",
				"id" => '',
				"class" => '',
				"br" => 'no'
			), $atts));
	
	$output = '';
	$target = ($newwindow == 'yes') ? ' target="_blank"' : '';
	
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	if ($type == 'small')
		$output .= "<a{$id} href='{$link}' class='small-button small{$color}{$class}'{$target}><span>{$content}</span></a>";
	
	if ($type == 'big')
		$output .= "<a{$id} href='{$link}' class='big-button big{$color}{$class}'{$target}><span>{$content}</span></a>";
		
	if ($type == 'icon')
		$output .= "<a{$id} href='{$link}' class='icon-button {$icon}-icon{$class} icon-{$color}'{$target}><span class='mb-icon'><span>{$content}</span></span></a>";
	
	if ( $br == 'yes' ) $output .= '<br class="clear"/>';
		
	return $output;
}

add_shortcode('slide', 'mb_slide');
function mb_slide($atts, $content = null) {

	extract(shortcode_atts(array(
		"id" => '',
		"class" => ''
	), $atts));
	
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
		
	$output = "<div{$id} class='mb-slide{$class}'>
					{$content}
				</div>";
	
	return $output;
}

add_shortcode('tabs', 'mb_tabs');
function mb_tabs($atts, $content = null) {
	extract(shortcode_atts(array(
				"fx" => 'fade',
				"auto" => 'no',
				"autoSpeed" => '5000',
				"id" => '1',
				"slidertype" => 'top tabs',
				"class" => ''
			), $atts));
	
	$i = rand(0, 1000);
	
	$auto = ( $auto == 'no' ) ? 'false' : 'true';
	
	$content = mb_content_helper($content);
	
	$class = ($class <> '') ? " {$class}" : '';
		
	if ($slidertype == 'top tabs') {	
		$output = "
			<div class='rounded-corner mb-tabs-container{$class}' id='mb-tabs-container{$i}'>
				{$content}
			</div> <!-- .mb-tabs-container -->
			<script type='text/javascript'>
				
					jQuery('#mb-tabs-container{$i} .mb-tabs-content').mb_shortcodes_switcher({slidePadding: '20px 25px 8px', linksNav: '#mb-tabs-container{$i} .mb-tabs-control li a', findParent: true, fx: '{$fx}', auto: {$auto}, autoSpeed: '{$autoSpeed}'});
				
			</script>";
	} elseif ($slidertype == 'left tabs') {
		$output = "
			<div class='rounded-corner tabs-left{$class}' id='tabs-left{$i}'>
				{$content}
			</div> <!-- .tabs-left -->
			<script type='text/javascript'>
				
					 jQuery('#tabs-left{$i} .mb-tabs-content').mb_shortcodes_switcher({linksNav: '#tabs-left{$i} .mb-tabs-control li a', findParent: true, fx: '{$fx}', auto: {$auto}, autoSpeed: '{$autoSpeed}'});
				
			</script>";
	} elseif ($slidertype == 'simple') {
		$output = "
		<div class='rounded-corner mb-simple-slider{$class}' id='mb-simple-slider{$i}'>
			<a href='#' class='mb-slider-leftarrow'>Left</a>
			<a href='#' class='mb-slider-rightarrow'>Right</a>
			<div class='mb-simple-slides'>
				{$content}
			</div>
		</div> <!-- .mb-simple-slider -->
		<script type='text/javascript'>
			
				jQuery('#mb-simple-slider{$i} .mb-simple-slides').mb_shortcodes_switcher({sliderType: 'simple', auto: {$auto}, autoSpeed: '{$autoSpeed}',useArrows: true, fx: '{$fx}', arrowLeft: '#mb-simple-slider{$i} a.mb-slider-leftarrow', arrowRight: '#mb-simple-slider{$i} a.mb-slider-rightarrow'});
			
		</script>";
	} elseif ($slidertype == 'images') {
		$output = "
		<div class='mb-image-slider{$class}' id='mb-image-slider{$i}'>
			<div class='mb-image-slides'>
				{$content}
			</div>
			
			<div class='mb-image-shadow'></div>
			<div class='mb-image-shadowleft'></div>
			<div class='mb-image-shadowright'></div>
		</div> <!-- .mb-image-slider -->
		<script type='text/javascript'>
			
				 jQuery('#mb-image-slider{$i} .mb-image-slides').mb_shortcodes_switcher({sliderType: 'images', auto: {$auto}, autoSpeed: '{$autoSpeed}',useArrows: true, fx: '{$fx}', arrowLeft: '#mb-image-slider{$i} a.left-arrow', arrowRight: '#mb-image-slider{$i} a.right-arrow', linksNav: '#mb-image-slider{$i} .controllers a.switch',findParent: false, lengthElement: 'a.switch'});
			
		</script>";
	}
		
	return $output;
}

add_shortcode('tabcontainer', 'mb_tabcontainer');
function mb_tabcontainer($atts, $content = null) {
	$content = mb_content_helper($content);
	
	$output = "
		<ul class='mb-tabs-control'>
			{$content}
		</ul> <!-- .mb-tabs-control -->";
		
	return $output;
}

add_shortcode('imagetabcontainer', 'mb_imagetabcontainer');
function mb_imagetabcontainer($atts, $content = null) {
	extract(shortcode_atts(array(
		"id" => '',
		"class" => ''
	), $atts));
		
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
		
	$output = "
		<div{$id} class='controllers-wrapper{$class}'>
			<div class='controllers'>
				<a class='left-arrow' href='#'>Previous</a>
				{$content}
				<a class='right-arrow' href='#'>Next</a>
			</div> <!-- end #controllers -->
			<div class='controllers-right'></div>
		</div><!-- end #controllers-wrapper -->";
		
	return $output;
}

add_shortcode('imagetabtext', 'mb_imagetabtext');
function mb_imagetabtext($atts, $content = null) {	
	$content = mb_content_helper($content);
		
	$output = "
		<a href='#' class='switch'>
			{$content}
		</a>";
		
	return $output;
}

add_shortcode('tabtext', 'mb_tabtext');
function mb_tabtext($atts, $content = null) {	
	extract(shortcode_atts(array(
		"id" => '',
		"class" => ''
	), $atts));
		
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " class='{$class}'" : '';
			
	$output = "
		<li{$id}{$class}><a href='#'>
			{$content}
		</a></li>";
		
	return $output;
}

add_shortcode('tabcontent', 'mb_tabcontent');
function mb_tabcontent($atts, $content = null) {
	extract(shortcode_atts(array(
		"id" => '',
		"class" => ''
	), $atts));
	
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	$output = "
		<div{$id} class='mb-tabs-content{$class}'>
			{$content}
		</div>";
	
	return $output;
}

add_shortcode('tab', 'mb_tab');
function mb_tab($atts, $content = null) {
	extract(shortcode_atts(array(
		"id" => '',
		"class" => ''
	), $atts));
	
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	$output = "
		<div{$id} class='mb_slidecontent{$class}'>
			{$content}
		</div>";
		
	return $output;
}

add_shortcode('imagetab', 'mb_imagetab');
function mb_imagetab($atts, $content = null) {
	extract(shortcode_atts(array(
		"width" => '',
		"height" => '',
		"id" => '',
		"class" => ''
	), $atts));
	
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	$output = "
		<div{$id} class='mb-image{$class}' style='background: url(".get_bloginfo('template_directory') . "/timthumb.php?src={$content}&amp;w={$width}&amp;h={$height}&amp;zc=1) no-repeat; width: {$width}px; height: {$height}px;'><span class='mb-image-overlay'> </span></div>";
		
	return $output;
}

//add_shortcode('author', 'mb_author');
function mb_author($atts, $content = null) {
	extract(shortcode_atts(array(
		"id" => '',
		"class" => ''
	), $atts));
	
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	$output = "
		<div{$id} class='author-shortcodes{$class}'>
			<div class='author-inner'>
				{$content}
			</div> <!-- .author-inner -->
		</div> <!-- .author-shortcodes -->";
		
	return $output;
}

//add_shortcode('author_image', 'mb_author_image');
function mb_author_image($atts, $content = null) {
	extract(shortcode_atts(array(
		"timthumb" => 'on'
	), $atts));

	$content = mb_content_helper($content);
	
	$src = ($timthumb == 'on') ? (get_bloginfo('template_directory') . "/timthumb.php?src={$content}&amp;w=57&amp;h=57&amp;zc=1") : $content;
	
	$output = "
		<div class='author-image'>
			<img src='{$src}' alt='' />
			<div class='author-overlay'></div>
		</div> <!-- .author-image -->";
		
	return $output;
}

//add_shortcode('author_info', 'mb_author_info');
function mb_author_info($atts, $content = null) {
	
	$content = mb_content_helper($content);
	
	$output = "
		<div class='author-info'>
			{$content}
		</div> <!-- .author-info -->";
		
	return $output;
}

add_shortcode('pricing_table', 'mb_pricing_table');
function mb_pricing_table($atts, $content = null) {
	
	$content = mb_content_helper($content);
	
	$output = "
		<div class='mb-pricing clearfix'>
			{$content}
		</div> <!-- end .mb-pricing -->";
		
	return $output;
}

add_shortcode('custom_list', 'mb_custom_list');
function mb_custom_list($atts, $content = null) {
	extract(shortcode_atts(array(
		"type" => 'checkmark'
	), $atts));

	$content = mb_content_helper($content);
	
	$type = ( $type <> 'checkmark' ) ? ' mblist-' . $type : '';
			
	$output = "
		<div class='mb-custom-list{$type}'>
			{$content}
		</div> <!-- .mb-custom-list -->";
		
	return $output;
}

add_shortcode('pricing', 'mb_pricing');
function mb_pricing($atts, $content = null) {
	extract(shortcode_atts(array(
		"price" => '19.95',
		"title" => "professional",
		"desc" => "",
		"url" => "#",
		"window" => "",
		"moretext" => 'join now',
		"type" => "small",
		"color" => "small",
		"currency" => "$"
		
	), $atts));

	$content = mb_content_helper($content);
	
	$separator_sign = ( strpos($price, '.') !== false ) ? '.' : ',';
	$price_array = explode($separator_sign, $price);
	$link_target = ( $window == 'new' ) ? ' target="_blank"' : '';
	$type = ( $type == 'big' ) ? ' pricing-big' : '';
			
	$output = "
		<div class='pricing-table{$type} price-color{$color}'>
			<div class='pricing-heading'>
				<h2 class='pricing-title'>{$title}</h2>
				
			</div> <!-- end .pricing-heading -->

			<div class='pricing-content'>
                <div class='pricing-tcontent'>
					<span class='mb-price'><span class='dollar-sign'>{$currency}</span>{$price_array[0]}<sup>{$price_array[1]}</sup></span>
					<p class='pricing-des'>{$desc}</p>
                    <ul class='pricing'>
                        {$content}
                    </ul>
                    
                </div> <!-- end .pricing-tcontent -->
			</div> <!-- end .pricing-content -->
			<h3><a href='{$url}' class='join-button'{$link_target}><span>{$moretext}</span></a></h3>
		</div> <!-- end .pricing-table -->";
		
	return $output;
}

add_shortcode('feature', 'mb_pricing_feature');
function mb_pricing_feature($atts, $content = null) {
	extract(shortcode_atts(array(
		"checkmark" => 'normal'
	), $atts));

	$content = mb_content_helper($content);
	$class = ( $checkmark == 'x' ) ? ' class="x-mark"' : '';
	
	$output = "<li{$class}><span>{$content}</span></li>";
	
	return $output;
}

//add_shortcode('dropcap', 'mb_dropcap');
function mb_dropcap($atts, $content = null) {
	extract(shortcode_atts(array(
		'style' => '',
		'id' => '',
		'class' => ''
	), $atts));
		
	$content = mb_content_helper($content);
	$style = ( $style <> '' ) ? ' style="' . $style . '"' : '';
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? ' ' . $class : '';
		
	$output = "<span{$id} class='mb-dropcap{$class}'{$style}>{$content}</span>";
	
	return $output;
}

add_shortcode('testimonial', 'mb_testimonial');
function mb_testimonial($atts, $content = null) {
	extract(shortcode_atts(array(
		'style' => '',
		'id' => '',
		'class' => '',
		'author' => '',
		'company' => '',
		'image' => '',
		'timthumb' => 'on'
	), $atts));

	$content = mb_content_helper($content);
	$style = ( $style <> '' ) ? ' style="' . $style . '"' : '';
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	$orig_name = $author;
	$author = ( $author <> '' ) ? "<span class='t-author'>{$author}</span>" : '';
	$company = ( $company <> '' ) ? "<span class='t-position'>{$company}</span>" : '';
	
	$image_markup = '';
	if ( $image <> '' ) {
		$image = ( $timthumb == 'on' ) ? get_bloginfo('template_directory') . "/timthumb.php?src={$image}&amp;w=57&amp;h=57&amp;zc=1;" : $image;
		$image_markup = "
			<div class='t-img'>
				<img src='{$image}' alt='{$orig_name}' />
				<span class='t-overlay'></span>
			</div>
		";
	}
			
	$output = "
		<div{$id} class='rounded-corner mb-testimonial-box{$class}'{$style}>
			<div class='mb-testimonial-content'>
			    <div class='mb-testimonial clearfix'>
					{$image_markup}
					{$content}
					<div class='t-info'>
						{$author}
						{$company}
					</div>
				</div>
		    </div>
		    <div class='t-bottom-arrow'></div>
			<div class='t-bottom-shadow'></div>
		</div>";
		
	return $output;
}

//add_shortcode('quote','mb_quote');
function mb_quote($atts, $content = null) {
	extract(shortcode_atts(array(
		'style' => '',
		'id' => '',
		'class' => '',
		'type' => 'normal'
	), $atts));
		
	$content = mb_content_helper($content);
	$style = ( $style <> '' ) ? ' style="' . $style . '"' : '';
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? ' ' . $class : '';
	if ( $type == 'center' ) $class = ' quote-center';
		
	$output = "
		<div{$id} class='mb_quote{$class}'{$style}>
			<div class='mb_right_quote'>
				{$content}
			</div>
		</div>
	";
	
	return $output;
}

add_shortcode('one_half', 'mb_columns');
add_shortcode('one_half_last', 'mb_columns');
add_shortcode('one_third', 'mb_columns');
add_shortcode('one_third_last', 'mb_columns');
add_shortcode('one_fourth', 'mb_columns');
add_shortcode('one_fourth_last', 'mb_columns');
add_shortcode('two_third', 'mb_columns');
add_shortcode('two_third_last', 'mb_columns');
add_shortcode('three_fourth', 'mb_columns');
add_shortcode('three_fourth_last', 'mb_columns');
function mb_columns($atts, $content = null, $name='') {
	extract(shortcode_atts(array(
		"id" => '',
		"class" => ''
	), $atts));
	
	$content = mb_content_helper($content);
	
	$id = ($id <> '') ? " id='{$id}'" : '';
	$class = ($class <> '') ? " {$class}" : '';
	
	$pos = strpos($name,'_last');	

	if($pos !== false)
		$name = str_replace('_last',' last',$name);
	
	$output = "<div{$id} class='{$name}{$class}'>
					{$content}
				</div>";
	if($pos !== false) 
		$output .= "<div class='clear'></div>";
	
	return $output;
}

function mb_delete_htmltags($content,$paragraph_tag=false,$br_tag=false){	
	#$content = preg_replace('#<\/p>(\s)*<p>$|^<\/p>(\s)*<p>#', '', trim($content));
	$content = preg_replace('#^<\/p>|^<br \/>|<p>$#', '', $content);
	
	$content = preg_replace('#<br \/>#', '', $content);
	
	if ( $paragraph_tag ) $content = preg_replace('#<p>|</p>#', '', $content);
		
	return trim($content);
}

function mb_content_helper($content,$paragraph_tag=false,$br_tag=false){
	return mb_delete_htmltags( do_shortcode(shortcode_unautop($content)), $paragraph_tag, $br_tag );
}

add_action('admin_init', 'action_admin_init');
function action_admin_init(){
	if ( current_user_can( 'edit_posts' ) && current_user_can( 'edit_pages' ) ) {
		if ( in_array(basename($_SERVER['PHP_SELF']), array('post-new.php', 'page-new.php', 'post.php', 'page.php') ) ) {
			add_filter('mce_buttons', 'filter_mce_button');
			add_filter('mce_external_plugins', 'filter_mce_plugin');
			add_action('admin_head','add_simple_buttons');
			add_action('edit_form_advanced', 'advanced_buttons');
			add_action('edit_page_form', 'advanced_buttons');
		}
	}
}

function filter_mce_button($buttons) {
	array_push( $buttons, '|', 'mb_learn_more', 'mb_box', 'mb_button', 'mb_tabs' );

	return $buttons;
}

function filter_mce_plugin($plugins) {	
	$plugins['mb_quicktags'] = get_bloginfo('template_url'). '/shortcodes/js/editor_plugin.js';
	
	return $plugins;
}

function advanced_buttons(){ ?>
	<script type="text/javascript">
		var defaultSettings = {},
			outputOptions = '',
			selected ='',
			content = '';
		
		defaultSettings['learn_more'] = {
			caption: {
				name: 'Caption',
				defaultvalue: 'Caption goes here',
				description: 'Caption title goes here',
				type: 'text'
			},
			state: {
				name: 'State',
				defaultvalue: 'close',
				description: 'Select between expanded and closed state',
				type: 'select',
				options: 'open|close'
			},
			content: {
				name: 'Content',
				defaultvalue: 'Content goes here',
				description: 'Content text or html',
				type: 'textarea'
			}
		};
		
		defaultSettings['box'] = {
			type: {
				name: 'Type',
				defaultvalue: 'shadow',
				description: 'Type of the box',
				type: 'select',
				options: 'info|warning|download|event|shadow'
			},
			content: {
				name: 'Content',
				defaultvalue: 'Content goes here',
				description: 'Content text or html',
				type: 'textarea'
			}
		};
		
		defaultSettings['button'] = {
			link: {
				name: 'Link',
				defaultvalue: '#',
				description: 'URL',
				type: 'text'
			},
			type: {
				name: 'Type',
				defaultvalue: 'small',
				description: 'Choose button type',
				type: 'select',
				options: 'small|icon'
			},
			color: {
				name: 'Color',
				defaultvalue: 'blue',
				description: 'Choose button color',
				type: 'select',
				options: 'blue|blue2|blue3|blue4|yellow1|yellow2|yellow3|orange1|orange2|red1|red2|red3|red4|green1|green2|green3|purlpe1|purlpe2|purlpe3|purlpe4'
			},
			content: {
				name: 'Content',
				defaultvalue: 'Link text',
				description: 'Content text or html',
				type: 'textarea'
			},
			icon: {
				name: 'Icon',
				defaultvalue: 'add',
				description: 'Used for icon button type',
				type: 'select',
				options: 'add|chat|search|set|stop|warm|reload|mail|heart|music'
			},
			newwindow: {
				name: 'Open link in new window',
				defaultvalue: 'no',
				description: 'Select yes if the link should be opened in a new window',
				type: 'select',
				options: 'yes|no'
			}
		};
		
		defaultSettings['tabs'] = {
			slidertype: {
				name: 'Slider Type',
				defaultvalue: 'fade',
				description: 'Select Slider Type here',
				type: 'select',
				options: 'top tabs|left tabs|simple|images'
			},
			fx: {
				name: 'Effect',
				defaultvalue: 'fade',
				description: 'Select Animation Effect',
				type: 'select',
				options: 'fade|slide'
			},
			auto: {
				name: 'Auto',
				defaultvalue: 'no',
				description: 'Choose yes if you want for automatic slider animation',
				type: 'select',
				options: 'no|yes'
			},
			autospeed: {
				name: 'Auto Speed',
				defaultvalue: '5000',
				description: 'Automattic slider speed (works only if Auto is set to yes)',
				type: 'text'
			},
			tabtext: {
				name: 'Tab Text',
				defaultvalue: '',
				description: '',
				type: 'text',
				clone: 'cloned'
			},
			tabcontent: {
				name: 'Tab Content',
				defaultvalue: 'Content goes here',
				description: 'Paste image url here, if you chose "images" slider type',
				type: 'textarea',
				clone: 'cloned'
			}
		}
		
		defaultSettings['author'] = {
			imageurl: {
				name: 'Image Url',
				defaultvalue: '',
				description: 'Author Image URL',
				type: 'text'
			},
			timthumb: {
				name: 'Use timthumb resizing',
				defaultvalue: 'on',
				description: '',
				type: 'select',
				options: 'on|off'
			},
			content: {
				name: 'Content',
				defaultvalue: 'Content goes here',
				description: '',
				type: 'textarea'
			}
		}
		
		function CustomButtonClick(tag){
			
			var index = tag;
			
				for (var index2 in defaultSettings[index]) {
					if (defaultSettings[index][index2]['clone'] === 'cloned')
						outputOptions += '<tr class="cloned">\n';
					else if (index === 'button' && index2 === 'icon')
						outputOptions += '<tr class="hidden">\n';
					else
						outputOptions += '<tr>\n';
					outputOptions += '<th><label for="mb-' + index2 + '">'+ defaultSettings[index][index2]['name'] +'</label></th>\n';
					outputOptions += '<td>';
					
					if (defaultSettings[index][index2]['type'] === 'select') {
						var optionsArray = defaultSettings[index][index2]['options'].split('|');
						
						outputOptions += '\n<select name="mb-'+index2+'" id="mb-'+index2+'">\n';
						
						for (var index3 in optionsArray) {
							selected = (optionsArray[index3] === defaultSettings[index][index2]['defaultvalue']) ? ' selected="selected"' : '';
							outputOptions += '<option value="'+optionsArray[index3]+'"'+ selected +'>'+optionsArray[index3]+'</option>\n';
						}
						
						outputOptions += '</select>\n';
					}
					
					if (defaultSettings[index][index2]['type'] === 'text') {
						cloned = '';
						if (defaultSettings[index][index2]['clone'] === 'cloned') cloned = "[]";
						outputOptions += '\n<input type="text" name="mb-'+index2+cloned+'" id="mb-'+index2+'" value="'+defaultSettings[index][index2]['defaultvalue']+'" />\n';
					}
					
					if (defaultSettings[index][index2]['type'] === 'textarea') {
						cloned = '';
						if (defaultSettings[index][index2]['clone'] === 'cloned') cloned = "[]";
						outputOptions += '<textarea name="mb-'+index2+cloned+'" id="mb-'+index2+'" cols="40" rows="10">'+defaultSettings[index][index2]['defaultvalue']+'</textarea>';
					}
					
					outputOptions += '\n<br/><small>'+ defaultSettings[index][index2]['description'] +'</small>';
					outputOptions += '\n</td>';
					
				}
			
		
			var width = jQuery(window).width(),
				tbHeight = jQuery(window).height(),
				tbWidth = ( 720 < width ) ? 720 : width;
			
			tbWidth = tbWidth - 80;
			tbHeight = tbHeight - 84;

			var tbOptions = "<div id='mb_shortcodes_div'><form id='mb_shortcodes'><table id='shortcodes_table' class='form-table mb-"+ tag +"'>";
			tbOptions += outputOptions;
			tbOptions += '</table>\n<p class="submit">\n<input type="button" id="shortcodes-submit" class="button-primary" value="Ok" name="submit" /></p>\n</form></div>';
			
			var form = jQuery(tbOptions);
			
			var table = form.find('table');
			form.appendTo('body').hide();
			
			
			if (tag === 'tabs') {
				$moreTabs = jQuery('<p><a href="#" id="mb_add_more_tabs">+ Add One More Tab</a></p>').appendTo('form#mb_shortcodes tbody');
				$moreTabsLink = jQuery('a#mb_add_more_tabs');
				
				$moreTabsLink.live('click',function() {
					var clonedElements = jQuery('form#mb_shortcodes .cloned');
										
					newElements = clonedElements.slice(0,2).clone();
								
					var cloneNumber = clonedElements.length,
						labelNum = cloneNumber / 2;
					
					newElements.each(function(index){
						if ( index === 0 ) jQuery(this).css({'border-top':'1px solid #eeeeee'});
						
						var label = jQuery(this).find('label').attr('for'),
							newLabel = label + labelNum;
					
						jQuery(this).find('label').attr('for',newLabel);
						jQuery(this).find('input, textarea').attr('id',newLabel);
					});
					
					newElements.appendTo('form#mb_shortcodes tbody');
					$moreTabs.appendTo('form#mb_shortcodes tbody');
					return false;
				});		
			}
			
			
			form.find('#shortcodes-submit').click(function(){
							
				var shortcode = '['+tag;
								
				for( var index in defaultSettings[tag]) {
					var value = table.find('#mb-' + index).val();
					if (index === 'content') { 
						content = value;
						continue;
					}
					
					if (defaultSettings[tag][index]['clone'] !== undefined) {
						content = 'cloned';
						continue;
					} 
					
					if ( value !== defaultSettings[tag][index]['defaultvalue'] )
						shortcode += ' ' + index + '="' + value + '"';
						
				}
				
				var $mb_slidertype = jQuery('#mb-slidertype').val();
				
				shortcode += '] ' + "\n";
				
				if (content != '') {
					
					if (tag === 'tabs') {
					
						var $mb_form = jQuery('form#mb_shortcodes'),
							tabsOutput = '',
							$mb_slidertype = jQuery('#mb-slidertype').val();
						
						if ($mb_slidertype === 'images') {
							prefix = 'image';
							dimensions = ' width="' + jQuery('#mb-imagewidth').val() + '"'+' height="' + jQuery('#mb-imageheight').val() + '"';
						} else {
							prefix = '';
							dimensions = '';
						}
						
						tabsOutput += '['+prefix+'tabcontainer]\n';
						$mb_form.find("input[name='mb-tabtext[]']").each(function(){
							tabsOutput += '['+prefix+'tabtext]'+jQuery(this).val()+'[/'+prefix+'tabtext]\n';
						});
						tabsOutput += '[/'+prefix+'tabcontainer]\n';						
						
						if ($mb_slidertype === 'simple' || $mb_slidertype === 'images') tabsOutput = '';
						
						if ($mb_slidertype != 'simple' && $mb_slidertype != 'images') tabsOutput += '[tabcontent]\n';
						$mb_form.find("textarea[name='mb-tabcontent[]']").each(function(){
							tabsOutput += '['+prefix+'tab'+dimensions+']'+jQuery(this).val()+'[/'+prefix+'tab]'+"\n";
						});
						
						if ($mb_slidertype != 'simple' && $mb_slidertype != 'images') tabsOutput += '[/tabcontent]\n';
						
						content = tabsOutput;
					}
					
					if (tag === 'author') {
						var $mb_form = jQuery('form#mb_shortcodes');
						
						imageurl = $mb_form.find('#mb-imageurl').val();
						timthumb = $mb_form.find('#mb-timthumb').val();
						content = $mb_form.find('#mb-content').val();
						
						shortcode = "[author]\n[author_image timthumb='"+timthumb+"']"+imageurl+"[/author_image]\n[author_info]"+content+"[/author_info]\n";
						content = '';
					}
				
					shortcode += content;
					shortcode += '[/'+tag+'] ' + "\n";
				}

				tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode + ' ');
				
				tb_remove();
			});
			
			tb_show( 'MB ' + tag + ' Shortcode', '#TB_inline?width=' + tbWidth + '&height=' + tbHeight + '&inlineId=mb_shortcodes_div' );
			jQuery('#mb_shortcodes_div').remove();
			outputOptions = '';
		}
		
		jQuery(document).ready(function(){
			var buttonTypeField = jQuery('table.mb-button select#mb-type');
						
			buttonTypeField.live('change',function() {
				var optionsSmallButton = ['blue1','blue2','blue3','blue4','yellow1','yellow2','yellow3','orange1','orange2','orange3','red1','red2','red3','red4','green1','green2','green3','purlpe1','purlpe2','purlpe3','purlpe4'],
					optionsBigButton = ['blue','purple','orange','green','red','turquoise'],
					optionsIconButton = ['blue','black','brown','pink','purple','yellow','red','green'],
					options = '';
				
				if (jQuery(this).val() === 'big') {
					for (var i = 0; i < optionsBigButton.length; i++) {
						options += '<option value="' + optionsBigButton[i] + '">' + optionsBigButton[i] + '</option>';
					}
					
					if (!jQuery('select#mb-icon').parents('tr.hidden').length) jQuery('select#mb-icon').parents('tr').addClass('hidden');
					if (jQuery('select#mb-color').parents('tr.hidden').length) jQuery('select#mb-color').parents('tr').removeClass('hidden');
				}
				
				if (jQuery(this).val() === 'small') {
					for (var i = 0; i < optionsSmallButton.length; i++) {
						options += '<option value="' + optionsSmallButton[i] + '">' + optionsSmallButton[i] + '</option>';
					}
					if (!jQuery('select#mb-icon').parents('tr.hidden').length) jQuery('select#mb-icon').parents('tr').addClass('hidden');
					if (jQuery('select#mb-color').parents('tr.hidden').length) jQuery('select#mb-color').parents('tr').removeClass('hidden');
				}
				
				if (jQuery(this).val() === 'icon') {
					for (var i = 0; i < optionsIconButton.length; i++) {
						options += '<option value="' + optionsIconButton[i] + '">' + optionsIconButton[i] + '</option>';
					}
					if (jQuery('select#mb-icon').parents('tr.hidden').length) jQuery('select#mb-icon').parents('tr').removeClass('hidden');
					
					if (!jQuery('select#mb-color').parents('tr.hidden').length) jQuery('select#mb-color').parents('tr').removeClass('hidden');
				}
				
				if (options !== '') jQuery(this).parents('tbody').find('select#mb-color').html(options);
			});
			
			var tabTypeField = jQuery('table.mb-tabs select#mb-slidertype');
			tabTypeField.live('change',function() {
				if (jQuery(this).val() === 'images') {
					if (!jQuery('.mb-tabs #mb-imagewidth').length) { 
						$heightImage = jQuery('<tr><th><label for="mb-imageheight">Image Height</label></th><td><input type="text" value="" id="mb-imageheight" name="mb-imageheight"><br><small></small></td></tr>').prependTo('form#mb_shortcodes tbody');
						$widthImage = jQuery('<tr><th><label for="mb-imagewidth">Image Width</label></th><td><input type="text" value="" id="mb-imagewidth" name="mb-imagewidth"><br><small></small></td></tr>').prependTo('form#mb_shortcodes tbody');
					}
					
					if (typeof $heightImage != 'undefined') $heightImage.show();
					if (typeof $widthImage != 'undefined') $widthImage.show();
					
					jQuery('input[name^="mb-tabtext"]').parents('tr.cloned').hide(); //hide tab text
				} else {
					if (typeof $heightImage != 'undefined') $heightImage.hide();
					if (typeof $widthImage != 'undefined') $widthImage.hide();
					
					if(jQuery(this).val() != 'simple') jQuery('input[name^="mb-tabtext"]').parents('tr.cloned:hidden').show(); //show tab text
					else jQuery('input[name^="mb-tabtext"]').parents('tr.cloned').hide();
				}
			});
		});
	</script>
<?php } 
add_filter('widget_text', 'do_shortcode'); 
?>