<?php
$cats_array = get_categories('hide_empty=0');
$site_cats = array();
foreach ($cats_array as $categs) {
	$site_cats[$categs->cat_ID] = $categs->cat_name;
}
$googlemap_theme_options = array (	
	array(
		'type' => 'open'
	),
	array(
		'name' => 'Google Map API',
		'type' => 'options_title'
	),
	array(
		'name' => '<hr/><br/>Google Map API',
		'desc' => 'The events location map needs a Google Maps API key in order to work. <a href="http://code.google.com/apis/maps/signup.html" target="_blank">Please visit this page</a> to get your own Google Map API and paste your API code below.',
		'id' => $shortname . 'google_map_api',
		'type' => 'type_area',
		'default_value' => ''
	),
	array(
		'type' => 'close'
	)
);

$general_theme_options = array (	
	array(
		'type' => 'open'
	),
	array(
		'name' => 'General Options',
		'type' => 'options_title'
	),
	array(
		'name' => '<hr><br/>Logo url',
		'desc' => 'Using the <a href="upload.php" target="_blank">media library</a>, upload an image and paste the file URL here.',
		'id' => $shortname . 'logo',
		'type' => 'type_upload',
		'default_value' => ''
	),
	array(
		'name' => '<hr><br/>Favicon url',
		'desc' => 'Using the <a href="upload.php" target="_blank">media library</a>, upload an image and paste the file URL here.',
		'id' => $shortname . 'favicon',
		'type' => 'type_upload',
		'default_value' => ''
	),
	array(
		'name' => '<hr/><br/>Color scheme',
		'desc' => 'Please choose a color scheme for your site.',
		'id' => $shortname . 'style_color',
		'type' => 'type_css',
		'default_value' => 'default'
	),
	array(
		'type' => 'close'
	)
);

$homepage_theme_options = array (	
	array(
		'type' => 'open'
	),
	array(
		'name' => 'Homepage Options',
		'type' => 'options_title'
	),
	array(
		'name' => '<hr/><br/>Homepage quote box',
		'desc' => 'Enable quote box',
		'id' => $shortname . 'quote',
		'type' => 'type_checkbox',
		'default_value' => ''
	),
	array(
		'name' => '',
		'desc' => 'Quote Line 1:',
		'id' => $shortname . 'quote_one',
		'type' => 'type_text_full',
		'default_value' => 'One of the most original pop albums of the decade'
	),
	array(
		'name' => '',
		'desc' => 'Quote Line 2:',
		'id' => $shortname . 'quote_two',
		'type' => 'type_text_full',
		'default_value' => 'Nam dapibus tortor at massa ornare tincidunt. Donec sagittis commodo diam, a ornare'
	),
	array(
		'name' => '<hr><br/>Homepage widgetized area',
		'desc' => 'Enable homepage widgetized area (3 widget box)',
		'id' => $shortname . 'three_box',
		'type' => 'type_checkbox',
		'default_value' => ''
	),
	array(
		'name' => '<hr><br/>Discography widget',
		'desc' => 'The number of albums to show on homepage discography are (set 0 to disable)',
		'id' => $shortname . 'portfolio_number',
		'type' => 'type_text',
		'default_value' => '10'
	),
	array(
		'name' => '',
		'desc' => 'Discography title',
		'id' => $shortname . 'discotitle',
		'type' => 'type_text',
		'default_value' => 'Discography'
	),
	array(
		'name' => '<hr/><br/>Homepage blogroll',
		'desc' => 'Enable blogroll on homepage',
		'id' => $shortname . 'enable_blog',
		'type' => 'type_checkbox',
		'default_value' => ''
	),
	array(
		'name' => '',
		'desc' => 'Blogroll title',
		'id' => $shortname . 'blogrolltitle',
		'type' => 'type_text',
		'default_value' => 'Blog'
	),
	array(
		'name' => '',
		'desc' => 'The number of posts to show on homepage blogroll.',
		'id' => $shortname . 'homeblogroll_posts',
		'type' => 'type_text',
		'default_value' => '4'
	),
	array(
		'name' => '',
		'desc' => 'Exclude categories from home page',
		'options' =>$site_cats,
		'id' => $shortname . 'exclude_cat',
		'type' => 'checkboxes_top',
		'default_value' => ''
	),
	array(
		'type' => 'close'
	)
);

$innerpage_theme_options = array (	
	array(
		'type' => 'open'
	),
	array(
		'name' => 'Album / Event Page Options',
		'type' => 'options_title'
	),
	array(
		'name' => '<hr/><br/>Main Albums Page',
		'desc' => 'Please create then select a main albums page, where your albums will be shown.',
		'id' => $shortname . 'portfolio_page',
		'type' => 'type_page',
		'default_value' => 'None Selected'
	),
	array(
		'name' => '<hr><br/>Main Events Page',
		'desc' => 'Please create then select a main events page. This page will show as the parent breadcrumb of an individual event page.',
		'id' => $shortname . 'event_page',
		'type' => 'type_page',
		'default_value' => 'None Selected'
	),
	array(
		'name' => 'Events List Settings',
		'desc' => 'Display event venue name or event title on Main Events Page.',
		'id' => $shortname . 'event_title_or_address',
		'type' => 'type_radio',
		'options' => array('venue' => " Event venue", 'title' => " Event title"),
		'std' => 'venue',
	),
	array(
		'name' => '',
		'desc' => '<hr><br/>The number of posts to show on category pages.',
		'id' => $shortname . 'catnum_posts',
		'type' => 'type_text',
		'default_value' => '10'
	),
	array(
		'name' => '',
		'desc' => '<hr><br/>Date format (<a href="http://codex.wordpress.org/Formatting_Date_and_Time" target="_blank">Wordpress date formats</a>)',
		'id' => $shortname . 'date_format',
		'type' => 'type_text',
		'default_value' => 'M j, Y'
	),
	array(
		'type' => 'close'
	)
);

function checkboxes($value) {
	$size = isset($value['size']) ? $value['size'] : '5';
	if (isset($value['target'])) {
		if (isset($value['options'])) {
			$value['options'] = $value['options'] + $this->get_select_target_options($value['target']);
		} else {
			$value['options'] = $this->get_select_target_options($value['target']);
		}
	}
	$selected=get_option( $value['id'], $value['default_value']  );
	
	if(!empty($value['options']) && is_array($value['options'])){
		foreach($value['options'] as $key => $option) {
			echo '<label><input type="checkbox" value="' . $key . '" name="' . $value['id'] . '[]"';
			if (isset($selected)) {
				if (is_array($selected)) {
					if (in_array($key, $selected)) {
						echo ' checked="checked"';
					}
				}
			} else if (in_array($key, $value['default'])) {
				echo ' checked="checked"';
			}
			echo '>' . $option . '</label><br/>';
		}
	}
}

function mybandtheme_general_settings() {
   global $general_theme_options;
	?>
   <div class="wrap">   
	<form method="post">
	<?php
	foreach ($general_theme_options as $value) :
		switch ( $value['type'] ) :			
			case 'open':
			?><ul class="ds_admin">
            <?php
				if ( $_REQUEST['reset'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Reset.</strong></p></div></li>';
				if ( $_REQUEST['saved'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Saved.</strong></p></div></li>';
			?>
			<?php
			break;
			case 'options_title':
				?>
				<li>
				<div class="icon32" id="icon-options-general"><br/></div>
				<h2><?php echo $value['name']; ?></h2>
            </li>
			<?php
			break;		
			case 'checkboxes_top':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
					<strong><?php echo $value['desc']; ?></strong>
                   <p> <?php echo checkboxes($value); ?></p>
	            </li>
			<?php
			break;
			case 'type_checkbox':
			?>
	        <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                   <p><input  name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="checkbox" <?php if((get_option( $value['id'], $value['default_value']  ))=="on") : ?> checked="true" <?php endif;?> /> <?php echo $value['desc']; ?></p>
	            </li>
			<?php
			break;
			case 'type_text':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
	            </li>
            <?php
			break;
			case 'type_text_full':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
	            </li>
			<?php
			break;
			case 'type_cat':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
                <li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <?php ds_get_category_list($value['id'], $value['default_value']); ?>
                    <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>"/>
                </li>
			<?php
			break;
			case 'type_page':
			?>
			<?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <?php ds_get_page_list($value['id'], $value['default_value']); ?>
                    <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>"/>
				</li>
			<?php
			break;
			case 'type_upload':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
				<h3><?php echo $value['name']; ?></h3>
	   			<p><?php echo $value['desc']; ?></p>
				<p><input style="width:450px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
            </li>
			<?php
			break;
            case 'type_css':
				$selecttedvalue = get_option( $value['id'], $value['default_value']  );
			?>
			<?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
			<li>
				<h3><?php echo $value['name']; ?></h3>
	   			<p><?php echo $value['desc']; ?></p>
				<div>
				<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" >
					<option value="default" <?php if($selecttedvalue == 'default') { echo 'selected'; } ?> >Default</option>
					<option value="style-pop2" <?php if($selecttedvalue == 'style-pop2') { echo 'selected'; } ?> >Pop2 Color</option>
					<option value="style-pop3" <?php if($selecttedvalue == 'style-pop3') { echo 'selected'; } ?> >Pop3 Color</option>
					<option value="style-pop4" <?php if($selecttedvalue == 'style-pop4') { echo 'selected'; } ?> >Pop4 Color</option>
					<option value="style-rock1" <?php if($selecttedvalue == 'style-rock1') { echo 'selected'; } ?> >Rock1 Color</option>
					<option value="style-rock2" <?php if($selecttedvalue == 'style-rock2') { echo 'selected'; } ?> >Rock2 Color</option>
					<option value="style-rock3" <?php if($selecttedvalue == 'style-rock3') { echo 'selected'; } ?> >Rock3 Color</option>
					<option value="style-rock4" <?php if($selecttedvalue == 'style-rock4') { echo 'selected'; } ?> >Rock4 Color</option>
					<option value="style-classic1" <?php if($selecttedvalue == 'style-classic1') { echo 'selected'; } ?> >Classic1 Color</option>
					<option value="style-classic2" <?php if($selecttedvalue == 'style-classic2') { echo 'selected'; } ?> >Classic2 Color</option>
					<option value="style-classic3" <?php if($selecttedvalue == 'style-classic3') { echo 'selected'; } ?> >Classic3 Color</option>
					<option value="style-classic4" <?php if($selecttedvalue == 'style-classic4') { echo 'selected'; } ?> >Classic4 Color</option>
					<option value="style-various1" <?php if($selecttedvalue == 'style-various1') { echo 'selected'; } ?> >Various1 Color</option>
					<option value="style-various2" <?php if($selecttedvalue == 'style-various2') { echo 'selected'; } ?> >Various2 Color</option>
					<option value="style-various3" <?php if($selecttedvalue == 'style-various3') { echo 'selected'; } ?> >Various3 Color</option>
					<option value="style-various4" <?php if($selecttedvalue == 'style-various4') { echo 'selected'; } ?> >Various4 Color</option>
					<option value="style-various5" <?php if($selecttedvalue == 'style-various5') { echo 'selected'; } ?> >Various5 Color</option>	
				</select>
				<div id="imagePreview" style="padding:15px 0;"><img alt="preview" src="<?php bloginfo('stylesheet_directory'); ?>/images/themepreview/<?php echo $selecttedvalue;?>.jpg"/></div>
				</div>
				<script type="text/javascript">
				 jQuery(document).ready(function() {
				   jQuery("#<?php echo $value['id']; ?>").change(function() {
					 jQuery("#imagePreview").empty();
					 if ( jQuery("#<?php echo $value['id']; ?>").val()!="" ){
						jQuery("#imagePreview").append("<img src=\"<?php bloginfo('stylesheet_directory'); ?>/images/themepreview/" + jQuery("#<?php echo $value['id']; ?>").val()  + ".jpg\" />");
					 }
					 else{
						jQuery("#imagePreview").append("displays image here");
					 }
				   });
				 });
				</script>
            </li>
			<?php
			break;
			case 'type_area':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><textarea name="<?php echo $value['id']; ?>" cols="55" rows="5"><?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?></textarea></p>
	            </li>
			<?php
			break;
			case 'close':
			?></ul>
			<?php
			break;
		endswitch;
	endforeach;
	?>

    <p class="submit" style="float: left;">
        <input name="save" type="submit" value="Save changes" class="button-primary" />
        <input type="hidden" name="action" value="save" />
    </p>

	</form>

	<form method="post">
    <p class="submit" style="float: left;">
        <input name="reset" type="submit" value="Reset"/>
        <input type="hidden" name="action" value="reset" />
    </p>
	</form>
	</div>
	<?php
}

function mybandtheme_innerpage_settings() {
   global $innerpage_theme_options;
	?>
   <div class="wrap">   
	<form method="post">
	<?php
	foreach ($innerpage_theme_options as $value) :
		switch ( $value['type'] ) :			
			case 'open':
			?><ul class="ds_admin">
            <?php
				if ( $_REQUEST['reset'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Reset.</strong></p></div></li>';
				if ( $_REQUEST['saved'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Saved.</strong></p></div></li>';
			?>
			<?php
			break;
			case 'options_title':
				?>
				<li>
				<div class="icon32" id="icon-options-general"><br/></div>
				<h2><?php echo $value['name']; ?></h2>
            </li>
			<?php
			break;		
			case 'checkboxes_top':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
					<strong><?php echo $value['desc']; ?></strong>
                   <p><?php echo checkboxes($value); ?></p>
	            </li>
			<?php
			break;
			case 'type_checkbox':
			?>
	        <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                   <p><input  name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="checkbox" <?php if((get_option( $value['id'], $value['default_value']  ))=="on") : ?> checked="true" <?php endif;?> /> <?php echo $value['desc']; ?></p>
	            </li>
			<?php
			break;
			case "type_radio":
			?>
			<div class="mbt_options_input options_select">
			<h3><?php echo $value['name']; ?></h3>
			<p><?php echo $value['desc']; ?></p>
			<?php 
			foreach ($value['options'] as $option_value => $option_text) {
		        $checked = ' ';
		        if (get_option($value['id']) == $option_value) {
		            $checked = ' checked="checked" ';
		        }
		        else if ($value['std'] == $option_value){ //get_option($value['id']) === FALSE && 
		            $checked = ' checked="checked" ';
		        }
		        else {
		            $checked = ' ';
		        }
		        echo '<div class="mbt-radio"><input type="radio" name="'.$value['id'].'" value="'.
		            $option_value.'" '.$checked."/>".$option_text."</div>";
		    }
			?>
			</div>
			<?php
			break;
			case 'type_text':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
	            </li>
            <?php
			break;
			case 'type_text_full':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
	            </li>
			<?php
			break;
			case 'type_cat':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
                <li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <?php ds_get_category_list($value['id'], $value['default_value']); ?>
                    <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>"/>
                </li>
			<?php
			break;
			case 'type_page':
			?>
			<?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <?php ds_get_page_list($value['id'], $value['default_value']); ?>
                    <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>"/>
				</li>
			<?php
			break;
			case 'type_upload':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
				<h3><?php echo $value['name']; ?></h3>
	   			<p><?php echo $value['desc']; ?></p>
				<p><input style="width:450px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
            </li>
			<?php
			break;
			case 'type_area':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><textarea name="<?php echo $value['id']; ?>" cols="55" rows="5"><?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?></textarea></p>
	            </li>
			<?php
			break;
			case 'close':
			?></ul>
			<?php
			break;
		endswitch;
	endforeach;
	?>

    <p class="submit" style="float: left;">
        <input name="save" type="submit" value="Save changes" class="button-primary" />
        <input type="hidden" name="action" value="save" />
    </p>

	</form>

	<form method="post">
    <p class="submit" style="float: left;">
        <input name="reset" type="submit" value="Reset"/>
        <input type="hidden" name="action" value="reset" />
    </p>
	</form>
	</div>
	<?php
}

function mybandtheme_homepage_settings() {
   global $homepage_theme_options;
	?>
   <div class="wrap">   
	<form method="post">
	<?php
	foreach ($homepage_theme_options as $value) :
		switch ( $value['type'] ) :			
			case 'open':
			?><ul class="ds_admin">
            <?php
				if ( $_REQUEST['reset'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Reset.</strong></p></div></li>';
				if ( $_REQUEST['saved'] ) echo '<li><div id="message" class="updated fade"><p><strong>Settings Saved.</strong></p></div></li>';
			?>
			<?php
			break;
			case 'options_title':
				?>
				<li>
				<div class="icon32" id="icon-options-general"><br/></div>
				<h2><?php echo $value['name']; ?></h2>
            </li>
			<?php
			break;		
			case 'checkboxes_top':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
					<strong><?php echo $value['desc']; ?></strong>
                   <p> <?php echo checkboxes($value); ?></p>
	            </li>
			<?php
			break;
			case 'type_checkbox':
			?>
	        <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                   <p><input  name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="checkbox" <?php if((get_option( $value['id'], $value['default_value']  ))=="on") : ?> checked="true" <?php endif;?> /> <?php echo $value['desc']; ?></p>
	            </li>
			<?php
			break;
			case 'type_text':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
	            </li>
            <?php
			break;
			case 'type_text_full':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
	            </li>
			<?php
			break;
			case 'type_cat':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
                <li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <?php ds_get_category_list($value['id'], $value['default_value']); ?>
                    <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>"/>
                </li>
			<?php
			break;
			case 'type_page':
			?>
			<?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <?php ds_get_page_list($value['id'], $value['default_value']); ?>
                    <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="hidden" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>"/>
				</li>
			<?php
			break;
			case 'type_upload':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
				<h3><?php echo $value['name']; ?></h3>
	   			<p><?php echo $value['desc']; ?></p>
				<p><input style="width:450px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?>" /></p>
            </li>
			<?php
			break;
			case 'type_area':
			?>
            <?php if ( get_option($value['id']) == '' ) : update_option($value['id'], $value['default_value']); endif; ?>
				<li>
                    <h3><?php echo $value['name']; ?></h3>
                    <p><?php echo $value['desc']; ?></p>
                    <p><textarea name="<?php echo $value['id']; ?>" cols="55" rows="5"><?php echo htmlspecialchars(get_option( $value['id'], $value['default_value']  )); ?></textarea></p>
	            </li>
			<?php
			break;
			case 'close':
			?></ul>
			<?php
			break;
		endswitch;
	endforeach;
	?>

    <p class="submit" style="float: left;">
        <input name="save" type="submit" value="Save changes" class="button-primary" />
        <input type="hidden" name="action" value="save" />
    </p>

	</form>

	<form method="post">
    <p class="submit" style="float: left;">
        <input name="reset" type="submit" value="Reset"/>
        <input type="hidden" name="action" value="reset" />
    </p>
	</form>
	</div>
	<?php
}

function mybandtheme_general_options() {
    global $general_theme_options;
	global $homepage_theme_options;
	global $innerpage_theme_options;
		if ( $_GET['page'] == 'functions.php' ) :
			$tab='';
				if(isset($_GET['tab'])) {
					$tab='&tab='.$_GET['tab']; 
				}
			if ( 'save' == $_REQUEST['action'] ) :
				if($_GET['tab']=='general' || !isset($_GET['tab'])) {
					foreach ((array)$general_theme_options as $value ) :
						if ( isset( $_REQUEST[ $value['id'] ] ) ) :
							update_option( $value['id'], stripslashes_deep($_REQUEST[ $value['id'] ]) );
						else :
							delete_option( $value['id'] );
						endif;
					endforeach;
				}
				if($_GET['tab']=='homepage') {
					foreach ((array)$homepage_theme_options as $value ) :
						if ( isset( $_REQUEST[ $value['id'] ] ) ) :
							update_option( $value['id'], stripslashes_deep($_REQUEST[ $value['id'] ]) );
						else :
							delete_option( $value['id'] );
						endif;
					endforeach;
				}
				if($_GET['tab']=='innerpage') {
					foreach ((array)$innerpage_theme_options as $value ) :
						if ( isset( $_REQUEST[ $value['id'] ] ) ) :
							update_option( $value['id'], stripslashes_deep($_REQUEST[ $value['id'] ]) );
						else :
							delete_option( $value['id'] );
						endif;
					endforeach;
				}
				header('Location: admin.php?page=functions.php' .  $tab .'&saved=true');
				die;
			elseif ( 'reset' == $_REQUEST['action'] ) :
								
				foreach ( $general_theme_options as $value ) :
					delete_option( $value['id'] );
				endforeach;
				foreach ( $homepage_theme_options as $value ) :
					delete_option( $value['id'] );
				endforeach;
				foreach ( $innerpage_theme_options as $value ) :
					delete_option( $value['id'] );
				endforeach;
				header('Location: admin.php?page=functions.php' .  $tab  .'&reset=true');
				die;
			endif;
		endif;

add_menu_page( 'General Options', 'MyBandTheme', 8, 'functions.php', 'sa_theme_general_page' ,get_bloginfo('template_directory').'/images/admin-theme-icon.png');
add_submenu_page( 'functions.php', 'General Options', 'General Options', 8, 'functions.php', 'sa_theme_general_page' );
	
}

add_action('admin_menu', 'mybandtheme_general_options');

function mybandtheme_general_admin_tabs( $current = 'general' ) {
    $tabs = array( 'general' => 'General', 'homepage' => 'Homepage', 'innerpage' => 'Album / Event Pages');
    $links = array();

    foreach( $tabs as $tab => $name ) :
        if ( $tab == $current ) :
            $links[] = "<a class='nav-tab nav-tab-active' href='?page=functions.php&tab=$tab'>$name</a>";
        else :
            $links[] = "<a class='nav-tab' href='?page=functions.php&tab=$tab'>$name</a>";
        endif;
    endforeach;
    echo '<div id="adminTabs">';
    foreach ( $links as $link )
        echo $link;
    echo '</div>';
}

function sa_theme_general_page() {
	global $pagenow;
	if ( $pagenow == 'admin.php' && $_GET['page'] == 'functions.php' ) :
	    if ( isset ( $_GET['tab'] ) ) :
	        $tab = $_GET['tab'];
	    else:
	        $tab = 'general';
	    endif;
		mybandtheme_general_admin_tabs($tab);
	    switch ( $tab ) :
	        case 'general' :
	            mybandtheme_general_settings();
	            break;
	        case 'homepage' :
	            mybandtheme_homepage_settings();
	            break;
	        case 'innerpage' :
	            mybandtheme_innerpage_settings();
	            break;
	    endswitch;
	endif;
}
?>